&ANALYZE-SUSPEND _VERSION-NUMBER AB_v9r12
&ANALYZE-RESUME
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _XFTR "Check Version Notes Wizard" Procedure _INLINE
/* Actions: af/cod/aftemwizcw.w ? ? ? ? */
/* MIP Update Version Notes Wizard
Check object version notes.
af/cod/aftemwizpw.w
*/
/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _XFTR "Update-Object-Version" Procedure _INLINE
/* Actions: ? ? ? ? af/sup/afverxftrp.p */
/* This has to go above the definitions sections, as that is what it modifies.
   If its not, then the definitions section will have been saved before the
   XFTR code kicks in and changes it */
/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _XFTR "Definition Comments Wizard" Procedure _INLINE
/* Actions: ? af/cod/aftemwizcw.w ? ? ? */
/* Program Definition Comment Block Wizard
Welcome to the Program Definition Comment Block Wizard. Press Next to proceed.
af/cod/aftemwizpw.w
*/
/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _DEFINITIONS Procedure 
/*---------------------------------------------------------------------------------
  File: customersuper.p

  Description:  

  Purpose:

  Parameters:   <none>

  History:
  --------
  (v:010000)    Task:           0   UserRef:    
                Date:   08/12/2002  Author:     

  Update Notes: Created from Template rytemprocp.p

---------------------------------------------------------------------------------*/
/*                   This .W file was created with the Progress UIB.             */
/*-------------------------------------------------------------------------------*/

/* ***************************  Definitions  ************************** */
/* MIP-GET-OBJECT-VERSION pre-processors
   The following pre-processors are maintained automatically when the object is
   saved. They pull the object and version from Roundtable if possible so that it
   can be displayed in the about window of the container */

&scop object-name       customersuper.p
DEFINE VARIABLE lv_this_object_name AS CHARACTER INITIAL "{&object-name}":U NO-UNDO.
&scop object-version    000000


/* object identifying preprocessor */
&glob   AstraProcedure    yes

{src/adm2/globals.i}

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&ANALYZE-SUSPEND _UIB-PREPROCESSOR-BLOCK 

/* ********************  Preprocessor Definitions  ******************** */

&Scoped-define PROCEDURE-TYPE Procedure
&Scoped-define DB-AWARE no



/* _UIB-PREPROCESSOR-BLOCK-END */
&ANALYZE-RESUME



/* *********************** Procedure Settings ************************ */

&ANALYZE-SUSPEND _PROCEDURE-SETTINGS
/* Settings for THIS-PROCEDURE
   Type: Procedure
   Allow: 
   Frames: 0
   Add Fields to: Neither
   Other Settings: CODE-ONLY COMPILE
 */
&ANALYZE-RESUME _END-PROCEDURE-SETTINGS

/* *************************  Create Window  ************************** */

&ANALYZE-SUSPEND _CREATE-WINDOW
/* DESIGN Window definition (used by the UIB) 
  CREATE WINDOW Procedure ASSIGN
         HEIGHT             = 2.67
         WIDTH              = 53.4.
/* END WINDOW DEFINITION */
                                                                        */
&ANALYZE-RESUME

 


&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _MAIN-BLOCK Procedure 


/* ***************************  Main Block  *************************** */

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


/* **********************  Internal Procedures  *********************** */

&IF DEFINED(EXCLUDE-DataAvailable) = 0 &THEN

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE DataAvailable Procedure 
PROCEDURE DataAvailable :
/*------------------------------------------------------------------------------
  Purpose:    Override of dataAvailable to reset the DisabledActions of
              the Toolbar and enabled or disable fields based on the Country. 
  Parameters:  pcRelative AS CHARACTER
  Notes:       
------------------------------------------------------------------------------*/
DEFINE INPUT  PARAMETER pcRelative AS CHARACTER  NO-UNDO.

/* DEFINE VARIABLE cCountry    AS CHARACTER  NO-UNDO.                              */
/* DEFINE VARIABLE hDataSource AS HANDLE     NO-UNDO.                              */
/* DEFINE VARIABLE hToolbar    AS HANDLE     NO-UNDO.                              */
/* DEFINE VARIABLE cTargets    AS CHARACTER  NO-UNDO.                              */
/* DEFINE VARIABLE hTarget     AS HANDLE     NO-UNDO.                              */
/* DEFINE VARIABLE iTarget     AS INTEGER    NO-UNDO.                              */
/*                                                                                 */
/* ASSIGN hDataSource = DYNAMIC-FUNCTION ('getDataSource' IN TARGET-PROCEDURE)     */
/*        hToolbar    = DYNAMIC-FUNCTION ('getNavigationSource' IN hDataSource)    */
/*        cCountry    = DYNAMIC-FUNCTION ('columnValue' IN hDataSource,'Country')  */
/*        cTargets    = DYNAMIC-FUNCTION ('getTableIOTarget' IN hToolbar).         */
/*                                                                                 */
/* IF cCountry EQ "USA" THEN                                                       */
/* DO:                                                                             */
/*     DYNAMIC-FUNCTION ('modifyDisabledActions' IN hToolbar,                      */
/*                      'Remove', 'FolderUpdate,FolderView,Delete').               */
/*     PUBLISH 'resetTableIO' FROM TARGET-PROCEDURE.                               */
/*     DO iTarget = 1 TO NUM-ENTRIES(cTargets):                                    */
/*         hTarget = WIDGET-HANDLE(ENTRY(iTarget, cTargets)).                      */
/*         IF NOT DYNAMIC-FUNCTION('getFieldsEnabled' IN hTarget) THEN             */
/*             RUN enableFields IN hTarget.                                        */
/*     END.                                                                        */
/* END.                                                                            */
/*                                                                                 */
/* ELSE DO:                                                                        */
/*     DYNAMIC-FUNCTION ('modifyDisabledActions' IN hToolbar,                      */
/*                      'Add',    'FolderUpdate,FolderView,Delete').               */
/*     DO iTarget = 1 TO NUM-ENTRIES(cTargets):                                    */
/*         hTarget = WIDGET-HANDLE(ENTRY(iTarget, cTargets)).                      */
/*         IF DYNAMIC-FUNCTION('getFieldsEnabled' IN hTarget) THEN                 */
/*             RUN disableFields IN hTarget ('All').                               */
/*     END.                                                                        */
/* END.                                                                            */
    
RUN SUPER (pcRelative).
END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ENDIF

