&ANALYZE-SUSPEND _VERSION-NUMBER AB_v9r12
&ANALYZE-RESUME
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _XFTR "Check Version Notes Wizard" Procedure _INLINE
/* Actions: af/cod/aftemwizcw.w ? ? ? ? */
/* MIP Update Version Notes Wizard
Check object version notes.
af/cod/aftemwizpw.w
*/
/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _XFTR "Update-Object-Version" Procedure _INLINE
/* Actions: ? ? ? ? af/sup/afverxftrp.p */
/* This has to go above the definitions sections, as that is what it modifies.
   If its not, then the definitions section will have been saved before the
   XFTR code kicks in and changes it */
/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _XFTR "Definition Comments Wizard" Procedure _INLINE
/* Actions: ? af/cod/aftemwizcw.w ? ? ? */
/* Program Definition Comment Block Wizard
Welcome to the Program Definition Comment Block Wizard. Press Next to proceed.
af/cod/aftemwizpw.w
*/
/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _DEFINITIONS Procedure 
/*---------------------------------------------------------------------------------
  File: oemaintwinsuper.p

  Description:  

  Purpose:

  Parameters:   <none>

  History:
  --------
  (v:010000)    Task:           0   UserRef:    
                Date:   08/12/2002  Author:     

  Update Notes: Created from Template rytemprocp.p

---------------------------------------------------------------------------------*/
/*                   This .W file was created with the Progress UIB.             */
/*-------------------------------------------------------------------------------*/

/* ***************************  Definitions  ************************** */
/* MIP-GET-OBJECT-VERSION pre-processors
   The following pre-processors are maintained automatically when the object is
   saved. They pull the object and version from Roundtable if possible so that it
   can be displayed in the about window of the container */

&scop object-name       oemaintwinsuper.p
DEFINE VARIABLE lv_this_object_name AS CHARACTER INITIAL "{&object-name}":U NO-UNDO.
&scop object-version    000000


/* object identifying preprocessor */
&glob   AstraProcedure    yes

{src/adm2/globals.i}

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&ANALYZE-SUSPEND _UIB-PREPROCESSOR-BLOCK 

/* ********************  Preprocessor Definitions  ******************** */

&Scoped-define PROCEDURE-TYPE Procedure
&Scoped-define DB-AWARE no



/* _UIB-PREPROCESSOR-BLOCK-END */
&ANALYZE-RESUME



/* *********************** Procedure Settings ************************ */

&ANALYZE-SUSPEND _PROCEDURE-SETTINGS
/* Settings for THIS-PROCEDURE
   Type: Procedure
   Allow: 
   Frames: 0
   Add Fields to: Neither
   Other Settings: CODE-ONLY COMPILE
 */
&ANALYZE-RESUME _END-PROCEDURE-SETTINGS

/* *************************  Create Window  ************************** */

&ANALYZE-SUSPEND _CREATE-WINDOW
/* DESIGN Window definition (used by the UIB) 
  CREATE WINDOW Procedure ASSIGN
         HEIGHT             = 2.57
         WIDTH              = 51.6.
/* END WINDOW DEFINITION */
                                                                        */
&ANALYZE-RESUME

 


&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _MAIN-BLOCK Procedure 


/* ***************************  Main Block  *************************** */

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


/* **********************  Internal Procedures  *********************** */

&IF DEFINED(EXCLUDE-dataAvailable) = 0 &THEN

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE dataAvailable Procedure 
PROCEDURE dataAvailable :
/*------------------------------------------------------------------------------
  Purpose:    Override of dataAvailable to reset the DisabledActions of
              the Toolbar and enabled or disable fields based on the Country. 
  Parameters:  pcRelative AS CHARACTER
  Notes:       
------------------------------------------------------------------------------*/
DEFINE INPUT  PARAMETER pcRelative AS CHARACTER  NO-UNDO.

DEFINE VARIABLE cCountry    AS CHARACTER  NO-UNDO.
DEFINE VARIABLE hDataSource AS HANDLE     NO-UNDO.
DEFINE VARIABLE hToolbar    AS HANDLE     NO-UNDO.
DEFINE VARIABLE cTargets    AS CHARACTER  NO-UNDO.
DEFINE VARIABLE hTarget     AS HANDLE     NO-UNDO.
DEFINE VARIABLE iTarget     AS INTEGER    NO-UNDO.

 ASSIGN hToolbar = DYNAMIC-FUNCTION ('getToolbarSource' IN TARGET-PROCEDURE)
        cTargets = DYNAMIC-FUNCTION ('getNavigationTarget' IN hToolbar).

 DO iTarget = 1 TO NUM-ENTRIES(cTargets):
     hTarget = WIDGET-HANDLE(ENTRY(iTarget, cTargets)).
     IF LOOKUP('Customer', 
                DYNAMIC-FUNCTION('getTables' IN hTarget)) NE 0 THEN
     DO:
         hDataSource = hTarget.
         LEAVE.
     END.
 END.
       
 ASSIGN cCountry    = DYNAMIC-FUNCTION ('columnValue' IN hDataSource,'Country')
        cTargets    = DYNAMIC-FUNCTION ('getTableIOTarget' IN hToolbar).

 IF cCountry EQ "USA" THEN
 DO:
    DYNAMIC-FUNCTION ('modifyDisabledActions' IN hToolbar,
                     'Remove', 'FolderUpdate,FolderView,Delete').
    RUN resetTableIO IN hToolbar.
    DO iTarget = 1 TO NUM-ENTRIES(cTargets):
        hTarget = WIDGET-HANDLE(ENTRY(iTarget, cTargets)).
        IF NOT DYNAMIC-FUNCTION('getFieldsEnabled' IN hTarget) THEN
            RUN enableFields IN hTarget.
    END.
 END.
     
 ELSE DO:
    DYNAMIC-FUNCTION ('modifyDisabledActions' IN hToolbar,
                     'Add',    'FolderUpdate,FolderView,Delete').  
    DO iTarget = 1 TO NUM-ENTRIES(cTargets):
        hTarget = WIDGET-HANDLE(ENTRY(iTarget, cTargets)).
        IF DYNAMIC-FUNCTION('getFieldsEnabled' IN hTarget) THEN
            RUN disableFields IN hTarget ('All').
    END.
 END.
    
/* RUN SUPER (pcRelative). */
END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ENDIF

&IF DEFINED(EXCLUDE-initializeObject) = 0 &THEN

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE initializeObject Procedure 
PROCEDURE initializeObject :
/*------------------------------------------------------------------------------
  Purpose:     Override of initializeObject to reset the TableIOType 
               property value to 'update' so that Viewers are initially
               disabled.
  Parameters:  <none>
  Notes:       
------------------------------------------------------------------------------*/
DEFINE VARIABLE hToolbar AS HANDLE     NO-UNDO.
DEFINE VARIABLE hSDO     AS HANDLE     NO-UNDO.

{get ToolbarSource hToolbar}.
{set TableIoType 'update' hToolbar}.
{get NavigationTarget hSDO hToolbar}.

SUBSCRIBE PROCEDURE TARGET-PROCEDURE TO 'dataAvailable' IN hSDO.

RUN SUPER.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ENDIF

