/* h-mainsig.p - Uses GET-SIGNATURE to return the signatures of a procedure 
   and its internal-entries */

DEFINE VARIABLE hProc    AS HANDLE     NO-UNDO.
DEFINE VARIABLE iProc    AS INTEGER    NO-UNDO.
DEFINE VARIABLE cEntries AS CHARACTER  NO-UNDO.
DEFINE VARIABLE cMessage AS CHARACTER  NO-UNDO.

RUN h-testsig.p PERSISTENT SET hProc (INPUT "aa").

ASSIGN
  cEntries = hproc:INTERNAL-ENTRIES
  cMessage = THIS-PROCEDURE:FILE-NAME + ": " + hproc:GET-SIGNATURE("").
  
DO iProc = 1 TO NUM-ENTRIES(cEntries):
  cMessage = cMessage + CHR(10) + ENTRY(iProc, cEntries) + ": " + 
    hproc:GET-SIGNATURE(ENTRY(iProc, cEntries)).    
END.

MESSAGE cMessage VIEW-AS ALERT-BOX.
