{lt-10-in.i} /* Common Interface Setup Code */  
 
/**********  DEFINE TRIGGERS  **********/
ON CHOOSE of b-rep DO:  
  OUTPUT TO "tut-temp.txt".
  FOR EACH Customer FIELDS(Balance PostalCode Contact Name Address 
    Address2 City State) NO-LOCK
    WHERE Customer.Balance >= 1400 BY Customer.PostalCode WITH STREAM-IO:
    PUT 
      Customer.Contact SKIP
      Customer.Name SKIP
      Customer.Address SKIP
      Customer.Address2 SKIP
      Customer.City Customer.State Customer.PostalCode SKIP(1).
  END.
  OUTPUT CLOSE.
    
  ASSIGN 
    Rep-Editor:READ-ONLY IN FRAME Dialog1 = TRUE
    Rep-Editor:SENSITIVE IN FRAME Dialog1 = TRUE
    FRAME Dialog1:TITLE                   = "Report Output"
    lStat = Rep-Editor:READ-FILE("tut-temp.txt") IN FRAME Dialog1. 
             
  IF lStat THEN DO:
    ENABLE Rep-Editor b-ok WITH FRAME Dialog1.
    WAIT-FOR GO OF FRAME Dialog1.
    HIDE FRAME Dialog1.
  END.
END.

/**********  MAIN LOGIC  **********/
ENABLE ALL WITH FRAME Frame1.
WAIT-FOR CHOOSE OF b-exit.

        
