/*  write-json-pds.p
  Writes a JSON object containing the Customer, Order, and Invoice data
  for a customer to a file. */

{pi-json-parameterVarDefs.i} /* parameter variable definitions */
{pi-write-json-pds1.i}       /* dsOrderLog definition - no nesting */

DEFINE VARIABLE hdsOrderLog  AS HANDLE    NO-UNDO.
DEFINE VARIABLE lRetOK       AS LOGICAL   NO-UNDO.
    
hdsOrderLog = DATASET dsOrderLog:HANDLE.
    
DATA-SOURCE dsCustomer:FILL-WHERE-STRING = "WHERE Customer.CustNum = 2 ".
DATASET dsOrderLog:FILL().

ASSIGN
  cTargetType = "file"
  cFile       = "dsOrderLog.json"
  lFormatted  = TRUE
  cEncoding   = ?.

lRetOK = hdsOrderLog:WRITE-JSON(cTargetType, cFile, lFormatted).

