/* r-ambig.p */

DEFINE VARIABLE cName LIKE Customer.Name NO-UNDO LABEL "Cust Name".

REPEAT:
  SET cName.
  FIND Customer NO-LOCK WHERE Customer.Name = cName NO-ERROR.
  IF AVAILABLE Customer THEN
    DISPLAY Customer.CustNum Customer.Address Customer.City Customer.State
      Customer.PostalCode.
  ELSE IF AMBIGUOUS Customer THEN
    MESSAGE "There is more than one customer with that name".
  ELSE 
    MESSAGE "Cannot find customer with that name".
END.
