/* r-currch.p */

FORM Customer.Name Bustomer.Balance WITH FRAME upd.

ON GO OF FRAME upd DO:
  DO TRANSACTION:
    FIND CURRENT Customer EXCLUSIVE-LOCK.
    IF CURRENT-CHANGED Customer THEN DO:
      MESSAGE "This record has been changed by another user" SKIP
        "Please re-enter your changes." VIEW-AS ALERT-BOX.
      DISPLAY Customer.Name Customer.Balance WITH FRAME upd.
      RETURN NO-APPLY. 
    END.
    ASSIGN Customer.Name Customer.Balance.
  END.
  FIND CURRENT Customer NO-LOCK.
END.

FIND FIRST Customer NO-LOCK.
DISPLAY Customer.Name Customer.Balance WITH FRAME upd.

DO ON ENDKEY UNDO, LEAVE:
  ENABLE Customer.Name Customer.Balance WITH FRAME upd.
  WAIT-FOR "GO" OF FRAME upd.
END.
