/* r-curval.p */

DEFINE VARIABLE cur-cust LIKE Customer.CustNum NO-UNDO.

cur-cust = CURRENT-VALUE(NextCustNum).
IF CAN-FIND(FIRST Order WHERE Order.CustNum = cur-cust) THEN
  FOR EACH Order NO-LOCK WHERE Order.CustNum = cur-cust, 
  EACH OrderLine OF Order NO-LOCK
  BREAK BY Order.OrderNum:

  IF FIRST-OF(Order.OrderNum) THEN
    DISPLAY Order.OrderNum Order.OrderDate Order.CustNum
      WITH FRAME order-info CENTERED ROW 2 1 COL.
   
  DISPLAY OrderLine.
END.
ELSE DO:
  FIND FIRST Customer NO-LOCK WHERE Customer.CustNum = cur-cust NO-ERROR.
  IF AVAILABLE Customer THEN
    MESSAGE "No Orders Exist for Customer " + Customer.Name +
      ", " + STRING(Customer.CustNum)
      VIEW-AS ALERT-BOX INFORMATION BUTTONS OK TITLE "No Orders".
  ELSE 
  MESSAGE "Customer number" cur-cust "does not exist."
    VIEW-AS ALERT-BOX INFORMATION BUTTONS OK TITLE "No Customer".
END.
