/* r-defb2.p */

DEFINE VARIABLE fname      AS CHARACTER NO-UNDO
  FORMAT "x(12)" LABEL "Table name".
DEFINE VARIABLE conditions AS CHARACTER NO-UNDO
  FORMAT "x(60)" LABEL "Conditions".

REPEAT:
  /* Get the name of a table and, optionally, some record selection criteria */
  UPDATE fname COLON 12 conditions COLON 12
    WITH SIDE-LABELS 1 DOWN.
  HIDE ALL.
  IF conditions <> "" THEN
    /* Pass the table name and the record selection criteria as parameters */
    RUN r-defb3.p fname "WHERE" conditions.
  ELSE 
    RUN r-defb3.p fname.
END.
