/* r-ent-eq.p */

DEFINE VARIABLE num-recs AS INTEGER   NO-UNDO.
DEFINE VARIABLE msg-txt  AS CHARACTER NO-UNDO INITIAL
  "There are <x> records in the table.".

/* Count the records. */
FOR EACH Customer NO-LOCK:
  num-recs = num-recs + 1.
END.

/* If there is only one record, make the message singular. */
IF num-recs = 1 THEN
  ASSIGN
    ENTRY(2,msg-txt," ") = "is"
    ENTRY(4,msg-txt," ") = "record".

/* Insert the record count into the string. */
ENTRY(3,msg-txt," ") = STRING(num-recs).

MESSAGE msg-txt.
