/* r-fact.p */

DEFINE INPUT-OUTPUT PARAMETER nfact AS INTEGER NO-UNDO.

DEFINE VARIABLE ix  AS INTEGER NO-UNDO.
DEFINE VARIABLE mye AS Progress.Lang.AppError NO-UNDO.

IF nfact < 0 THEN DO:
  mye = NEW Progress.Lang.AppError("The value is negative", 200). 
  mye:ReturnValue = "User inputs out of range".
  RETURN ERROR mye.
END.

IF nfact > 12 THEN DO:
  mye = NEW Progress.Lang.AppError
    ("Factorial value won't fit in an integer.", 201).
  mye:ReturnValue = "Calculated value out of range".
  RETURN ERROR mye.
END.

ASSIGN
  ix    = nfact
  nfact = nfact - 1.

IF nfact <= 1 THEN DO:
  ASSIGN nfact = ix.
  RETURN.
END.

RUN r-fact.p (INPUT-OUTPUT nfact).
ASSIGN nfact = nfact * i.
RETURN.
