/* r-frmat.p */

DEFINE VARIABLE password AS CHARACTER NO-UNDO.

UPDATE password FORMAT "x(6)" BLANK
  VALIDATE(password = "secret", "Sorry, wrong password")
  HELP "Maybe the password is ?secret? !"
  WITH FRAME passw CENTERED SIDE-LABELS.
HIDE FRAME passw.

REPEAT:
  PROMPT-FOR Customer.CustNum COLON 20.
  FIND Customer USING Customer.CustNum.
  UPDATE
    Customer.Name LABEL "Customer Name" COLON 20
      VALIDATE(Customer.Name NE "", "Please enter a name")
    Customer.Address HELP "Please enter two lines of address"
      COLON 20 LABEL "Address"
    Customer.Address2 NO-LABEL COLON 20
    Customer.City COLON 20
    Customer.State COLON 20
    Customer.PostalCode COLON 20 SKIP(3)
    Customer.Phone AT 5 FORMAT "(999) 999-9999"
    Customer.Contact TO 60
    WITH CENTERED SIDE-LABELS.
END.
