/* r-qryprep.p */

DEFINE VARIABLE qh     AS HANDLE    NO-UNDO.
DEFINE VARIABLE NewVar AS CHARACTER NO-UNDO 
  INITIAL "FOR EACH Customer WHERE Customer.CustNum < 10".

CREATE QUERY qh.

qh:SET-BUFFERS(BUFFER Customer:HANDLE).
qh:QUERY-PREPARE(NewVar).
qh:QUERY-OPEN().

REPEAT WITH FRAME y:
  qh:GET-NEXT().
  IF qh:QUERY-OFF-END THEN LEAVE.
  DISPLAY 
    Customer.CustNum
    Customer.Name FORMAT "x(30)"
    Customer.City FORMAT "x(20)".
END.

qh:QUERY-CLOSE().
DELETE OBJECT qh.  
