/* r-runDefineProperties2.p */

DEFINE VARIABLE clProps AS CLASS r-DefineProperties1 NO-UNDO.

clProps = NEW r-DefineProperties1() NO-ERROR.
IF ERROR-STATUS:ERROR THEN DO:
  MESSAGE ERROR-STATUS:GET-MESSAGE(1) VIEW-AS ALERT-BOX.
  QUIT.
END.

DO WHILE NOT clProps:cCurrentSalesRepName = ?:
  MESSAGE "The current sales rep is " 
    clProps:cCurrentSalesRepName + ".  Continue?" 
    VIEW-AS ALERT-BOX QUESTION BUTTONS YES-NO UPDATE lContinue AS LOGICAL.
  IF NOT lContinue THEN LEAVE.
  ELSE DO:
    clProps:getNextSalesRep(FALSE).
    IF clProps:cCurrentSalesRepName = ? THEN DO:
      MESSAGE "End of sales rep list.  Restart?" 
        VIEW-AS ALERT-BOX QUESTION BUTTONS YES-NO 
        UPDATE lRestart AS LOGICAL.
      IF lRestart THEN
        clProps:getNextSalesRep(TRUE).
    END.
  END.
END.
