/* r-updat2.p */

FOR EACH Customer:
  UPDATE Customer.Name
    Customer.CreditLimit VALIDATE(Customer.CreditLimit < 500000, "Too high")
    HELP "Enter CreditLimit < 500000".

  FOR EACH Order OF Customer:
    DISPLAY Order.OrderNum.
    UPDATE Order.PromiseDate Order.ShipDate VALIDATE(Order.ShipDate > TODAY,
      "Ship date must be later than today").
  END.
END.
