/* r-vaedit.p */

DEFINE VARIABLE my_clipbd AS CHARACTER NO-UNDO
  VIEW-AS EDITOR SIZE 60 BY 6 SCROLLBAR-VERTICAL LABEL "Scratch Pad".

DEFINE BUTTON b_quit LABEL "Quit" AUTO-ENDKEY.

FORM
  Item.ItemNum
  Item.ItemName
  Item.Price
  Item.OnHand
  Item.Allocated
  Item.ReOrder
  Item.OnOrder
  Item.CatPage
  Item.CatDescription VIEW-AS EDITOR SIZE 35 BY 3 SCROLLBAR-VERTICAL
  WITH FRAME item-info 1 DOWN ROW 1 CENTERED SIDE-LABELS 
  TITLE "Update Item Category Description".

FORM my_clipbd WITH FRAME clip.

DEFINE FRAME butt-frame b_quit 
  WITH CENTERED ROW 18.

ON GO OF Item.ItemNum DO:
  FIND Item USING Item.ItemNum EXCLUSIVE-LOCK.
  DISPLAY Item WITH FRAME item-info.
  ENABLE Item.CatDescription WITH FRAME item-info.
  ENABLE my_clipbd WITH FRAME clip.
END.

ON GO OF Item.CatDescription DO:
  ASSIGN Item.CatDescription.
  CLEAR FRAME item-info.
  DISABLE Item.CatDescription WITH FRAME item-info.
END.

ENABLE Item.ItemNum WITH FRAME item-info.
ENABLE b_quit WITH FRAME butt-frame.

WAIT-FOR WINDOW-CLOSE OF CURRENT-WINDOW.
