/* pi-tfx-read-4.p */
/* Populates an empty static temp-table with records from an XML file. */

{pi-tfx-parameterVarDefs.i}
{pi-tfx-ttSetup-4.i}

DEFINE VARIABLE returnValue AS LOGICAL NO-UNDO.

ASSIGN
  cSourceType             = "FILE"
  cFile                   = "ttCust.xml" 
  cReadMode               = "EMPTY"
  cSchemaLocation         = ?
  lOverrideDefaultMapping = ?
  cFieldTypeMapping       = ?
  cVerifySchemaMode       = ?. 
 
returnValue = TEMP-TABLE ttCust:READ-XML(cSourceType, cFile, cReadMode, 
                                         cSchemaLocation, 
                                         lOverrideDefaultMapping, 
                                         cFieldTypeMapping, cVerifySchemaMode).

IF returnValue THEN
  FOR EACH ttCust:
    DISPLAY ttCust.CustNum ttCust.Name FORMAT "X(30)".
  END. 

