/* pi-tfx-read-6.p */
/* Merges records for a dynamic temp-table. */

{pi-tfx-parameterVarDefs.i}
{pi-tfx-ttSetup-6.i}

    DEFINE VARIABLE hQuery AS HANDLE NO-UNDO.
DEFINE VARIABLE returnValue AS LOGICAL NO-UNDO.
   
ASSIGN
  cSourceType             = "FILE"
  cFile                   = "ttCust.xml" 
  cReadMode               = "EMPTY"
  cSchemaLocation         = ?
  lOverrideDefaultMapping = ?
  cFieldTypeMapping       = ?
  cVerifySchemaMode       = ?.
 
returnValue = httCust:READ-XML(cSourceType, cFile, cReadMode, cSchemaLocation,
                               lOverrideDefaultMapping, cFieldTypeMapping,
                               cVerifySchemaMode).

IF returnValue THEN DO:
  CREATE QUERY hQuery.
  hQuery:SET-BUFFERS(httbCust).
  hQuery:QUERY-PREPARE("FOR EACH ttCust").
  hQuery:QUERY-OPEN().
  hQuery:GET-FIRST().

  REPEAT WHILE NOT hQuery:QUERY-OFF-END:
    DISPLAY 
      httbCust:BUFFER-FIELD("CustNum"):BUFFER-VALUE
      httbCust:BUFFER-FIELD("Name"):BUFFER-VALUE FORMAT "x(30)".
    hQuery:GET-NEXT().
  END.
END.
