/* pi-tfx-ttSetup-7.i */
/* Creates two static temp-tables for use in a ProDataSet. */

/* Definition for temp-table ttCust */
DEFINE TEMP-TABLE ttCust BEFORE-TABLE ttCustBefore
  FIELD CustNum LIKE Customer.CustNum
  FIELD Name LIKE Customer.NAME
  FIELD Country LIKE Customer.Country
  FIELD Comments LIKE Customer.Comments FORMAT "x(40)"
  INDEX CustNum IS PRIMARY UNIQUE CustNum
  INDEX Name Name
  INDEX Comments IS WORD-INDEX Comments.

/* Definition for temp-table ttOrder */
DEFINE TEMP-TABLE ttOrd
  FIELD OrderNum LIKE Order.OrderNum
  FIELD CustNum LIKE Order.CustNum
  FIELD OrderDate LIKE Order.OrderDate
  INDEX OrderNum IS PRIMARY UNIQUE OrderNum
  INDEX CustOrder IS UNIQUE CustNum OrderNum
  INDEX OrderDate OrderDate.
