/*------------------------------------------------------------------------
    File        : LoginDlg
    Purpose     : 
    Syntax      : 
    Description : 
    Author(s)   : 
    Created     : Wed Jul 23 14:55:02 EDT 2008
    Notes       : 
  ----------------------------------------------------------------------*/
USING Progress.Windows.*.
USING Progress.Lang.*.
USING openedge.tutorial.ui.*.
USING System.Windows.Forms.*.
  
CLASS openedge.tutorial.ui.LoginDlg INHERITS Form IMPLEMENTS IStyling, IUser, IHelpCallback : 

	DEFINE PRIVATE VARIABLE components AS System.ComponentModel.IContainer NO-UNDO.
    DEFINE PRIVATE VARIABLE buttonOk AS System.Windows.Forms.Button NO-UNDO.
    DEFINE PRIVATE VARIABLE buttonCancel AS System.Windows.Forms.Button NO-UNDO.
    DEFINE PRIVATE VARIABLE appStylistRuntime1 AS Infragistics.Win.AppStyling.Runtime.AppStylistRuntime NO-UNDO.
    DEFINE PRIVATE VARIABLE loginBlock1 AS openedge.tutorial.ui.LoginBlock NO-UNDO.
    DEFINE PRIVATE VARIABLE leftBar1 AS openedge.tutorial.ui.LeftBar NO-UNDO.

    DEFINE PRIVATE VARIABLE helpButton1 AS openedge.tutorial.ui.HelpButton NO-UNDO.

	CONSTRUCTOR PUBLIC LoginDlg( ):
		SUPER().
		InitializeComponent ( ).
		
		helpButton1:ParentControl = THIS-OBJECT.
	END CONSTRUCTOR.

	DESTRUCTOR PUBLIC LoginDlg( ):

		IF VALID-OBJECT(components) THEN DO:
			CAST(components, System.IDisposable):Dispose().
		END.

	END DESTRUCTOR.	

    METHOD PRIVATE VOID okButton_Click (sender AS System.Object, e AS System.EventArgs):
		IF  ValidateLogin( ) = TRUE THEN DO:
		    THIS-OBJECT:DialogResult = System.Windows.Forms.DialogResult:Ok.
		    THIS-OBJECT:Close ( ).
		END.
	END METHOD.

	METHOD PRIVATE LOGICAL ValidateLogin( ):
	    IF THIS-OBJECT:loginBlock1:loginName:Text = "" THEN DO:
	        MESSAGE "Please enter a login name" VIEW-AS ALERT-BOX.
	        THIS-OBJECT:loginBlock1:loginName:Focus().
            RETURN FALSE.
        END.
	    IF LookupLogin(THIS-OBJECT:loginBlock1:loginName:Text, 
	                   THIS-OBJECT:loginBlock1:loginPwd:Text) = FALSE THEN DO:
	        MESSAGE "Invalid login name and password combination" VIEW-AS ALERT-BOX.
	        THIS-OBJECT:loginBlock1:loginPwd:Focus().
            RETURN FALSE.
        END.
        RETURN TRUE.
	END METHOD.
	
	METHOD PRIVATE LOGICAL LookupLogin( name AS CHAR, pwd AS CHAR):
	    IF name = pwd THEN RETURN TRUE.
	    ELSE RETURN FALSE. 
	END METHOD.    
	
	METHOD PRIVATE VOID cancelButton_Click (sender AS System.Object, e AS System.EventArgs):
		THIS-OBJECT:DialogResult = System.Windows.Forms.DialogResult:Cancel.
		THIS-OBJECT:Close ( ).
	END METHOD.
    



	METHOD PRIVATE VOID InitializeComponent ( ):

/* 		NOTE: The following method is generated by the OpenEdge Advanced GUI Visual Designer.

		We strongly suggest that the contents of this method only be modified using the
		Visual Designer to avoid any incompatible modifications.

		Modifying the contents of this method using a code editor will invalidate any support for this file. */

		THIS-OBJECT:components = NEW System.ComponentModel.Container().
		THIS-OBJECT:buttonOk = NEW System.Windows.Forms.Button().
		THIS-OBJECT:buttonCancel = NEW System.Windows.Forms.Button().
		THIS-OBJECT:appStylistRuntime1 = NEW Infragistics.Win.AppStyling.Runtime.AppStylistRuntime(THIS-OBJECT:components).
		THIS-OBJECT:loginBlock1 = NEW openedge.tutorial.ui.LoginBlock().
		THIS-OBJECT:leftBar1 = NEW openedge.tutorial.ui.LeftBar().
		THIS-OBJECT:helpButton1 = NEW openedge.tutorial.ui.HelpButton().
		THIS-OBJECT:SuspendLayout().
		/*  */
		/* buttonOk */
		/*  */
		THIS-OBJECT:buttonOk:Anchor = System.Windows.Forms.AnchorStyles:Bottom.
		THIS-OBJECT:buttonOk:Location = NEW System.Drawing.Point(346, 339).
		THIS-OBJECT:buttonOk:Name = "buttonOk".
		THIS-OBJECT:buttonOk:Size = NEW System.Drawing.Size(75, 23).
		THIS-OBJECT:buttonOk:TabIndex = 0.
		THIS-OBJECT:buttonOk:Text = "OK".
		THIS-OBJECT:buttonOk:UseCompatibleTextRendering = TRUE.
		THIS-OBJECT:buttonOk:Click:SUBSCRIBE(THIS-OBJECT:okButton_Click).
		/*  */
		/* buttonCancel */
		/*  */
		THIS-OBJECT:buttonCancel:Anchor = System.Windows.Forms.AnchorStyles:Bottom.
		THIS-OBJECT:buttonCancel:DialogResult = System.Windows.Forms.DialogResult:Cancel.
		THIS-OBJECT:buttonCancel:Location = NEW System.Drawing.Point(427, 339).
		THIS-OBJECT:buttonCancel:Name = "buttonCancel".
		THIS-OBJECT:buttonCancel:Size = NEW System.Drawing.Size(75, 23).
		THIS-OBJECT:buttonCancel:TabIndex = 1.
		THIS-OBJECT:buttonCancel:Text = "Cancel".
		THIS-OBJECT:buttonCancel:UseCompatibleTextRendering = TRUE.
		THIS-OBJECT:buttonCancel:Click:SUBSCRIBE(THIS-OBJECT:cancelButton_Click).
		/*  */
		/* loginBlock1 */
		/*  */
		THIS-OBJECT:loginBlock1:BackColor = System.Drawing.Color:Transparent.
		THIS-OBJECT:loginBlock1:Location = NEW System.Drawing.Point(236, 12).
		THIS-OBJECT:loginBlock1:Name = "loginBlock1".
		THIS-OBJECT:loginBlock1:Size = NEW System.Drawing.Size(266, 105).
		THIS-OBJECT:loginBlock1:TabIndex = 3.
		/*  */
		/* leftBar1 */
		/*  */
		THIS-OBJECT:leftBar1:Location = NEW System.Drawing.Point(12, 12).
		THIS-OBJECT:leftBar1:Name = "leftBar1".
		THIS-OBJECT:leftBar1:Size = NEW System.Drawing.Size(206, 350).
		THIS-OBJECT:leftBar1:TabIndex = 4.
		/*  */
		/* helpButton1 */
		/*  */
		THIS-OBJECT:helpButton1:BackgroundImageLayout = System.Windows.Forms.ImageLayout:None.
		THIS-OBJECT:helpButton1:Font = NEW System.Drawing.Font("Microsoft Sans Serif", 16, System.Drawing.FontStyle:Bold, System.Drawing.GraphicsUnit:Point, Progress.Util.CastUtil:ToByte(0)).
		THIS-OBJECT:helpButton1:Location = NEW System.Drawing.Point(308, 339).
		THIS-OBJECT:helpButton1:Name = "helpButton1".
		THIS-OBJECT:helpButton1:Size = NEW System.Drawing.Size(23, 23).
		THIS-OBJECT:helpButton1:TabIndex = 5.
		THIS-OBJECT:helpButton1:Text = "?".
		THIS-OBJECT:helpButton1:UseCompatibleTextRendering = TRUE.
		THIS-OBJECT:helpButton1:UseVisualStyleBackColor = TRUE.
		/*  */
		/* LoginDlg */
		/*  */
		THIS-OBJECT:AcceptButton = THIS-OBJECT:buttonOk.
		THIS-OBJECT:CancelButton = THIS-OBJECT:buttonCancel.
		THIS-OBJECT:ClientSize = NEW System.Drawing.Size(516, 384).
		THIS-OBJECT:Controls:Add(THIS-OBJECT:helpButton1).
		THIS-OBJECT:Controls:Add(THIS-OBJECT:leftBar1).
		THIS-OBJECT:Controls:Add(THIS-OBJECT:loginBlock1).
		THIS-OBJECT:Controls:Add(THIS-OBJECT:buttonCancel).
		THIS-OBJECT:Controls:Add(THIS-OBJECT:buttonOk).
		THIS-OBJECT:FormBorderStyle = System.Windows.Forms.FormBorderStyle:FixedDialog.
		THIS-OBJECT:MaximizeBox = FALSE.
		THIS-OBJECT:MinimizeBox = FALSE.
		THIS-OBJECT:Name = "LoginDlg".
		THIS-OBJECT:ShowInTaskbar = FALSE.
		THIS-OBJECT:StartPosition = System.Windows.Forms.FormStartPosition:CenterParent.
		THIS-OBJECT:Text = "Please Login".
		THIS-OBJECT:Load:SUBSCRIBE(THIS-OBJECT:LoginDlg_Load).
		THIS-OBJECT:ResumeLayout(FALSE).
	END METHOD.




   	METHOD PUBLIC VOID SetStyle( INPUT styleFile AS System.IO.FileInfo ):
 		Infragistics.Win.AppStyling.StyleManager:Load( styleFile:FullName ).				
		appStylistRuntime1:LoadFromStyleManager().
	END METHOD.
	
 	METHOD PUBLIC VOID SetUser( INPUT name AS CHARACTER, INPUT pwd AS CHARACTER ):
	    loginBlock1:loginName:Text = name.
	    loginBlock1:loginPwd:Text = pwd.
	END METHOD.

    METHOD PUBLIC LOGICAL GetHelpContext (OUTPUT pcHelpFilename AS CHARACTER):
        RETURN FALSE.
    END METHOD.
        
    METHOD PUBLIC LOGICAL GetHelpContext (OUTPUT pcHelpFilename AS CHARACTER,
                                          OUTPUT pcHelpKeyword AS CHARACTER):
        RETURN FALSE.
    END METHOD.
    
    METHOD PUBLIC LOGICAL GetHelpContext (OUTPUT pcHelpFilename AS CHARACTER,
                                       OUTPUT poHelpNavigator AS HelpNavigator):
        RETURN FALSE.
    END METHOD.
    
    METHOD PUBLIC LOGICAL GetHelpContext (OUTPUT pcHelpFilename AS CHARACTER,
                                       OUTPUT poHelpNavigator AS HelpNavigator,
                                       OUTPUT pcTopicIdentifier AS CHARACTER):
        /* Example */
        pcHelpFilename = search('prohelp/masteng.chm').
        poHelpNavigator = HelpNavigator:Index.
        pcTopicIdentifier = ''.

        RETURN TRUE.
    END METHOD.
	/*------------------------------------------------------------------------------
			Purpose:  																	  
			Notes:  																	  
	------------------------------------------------------------------------------*/
	@VisualDesigner.
	METHOD PRIVATE VOID LoginDlg_Load( INPUT sender AS System.Object, INPUT e AS System.EventArgs ):
		
		RETURN.

	END METHOD.


 
    
END CLASS.
