 /*------------------------------------------------------------------------
    File        : sportsForm
    Purpose     : 
    Syntax      : 
    Description : 
    Author(s)   : 
    Created     : Tue Jul 01 16:11:31 EDT 2008
    Notes       : 
  ----------------------------------------------------------------------*/
USING Progress.Windows.Form.
USING openedge.tutorial.ui.*.
    
CLASS openedge.tutorial.ui.SportsForm INHERITS Form   : 
    
    DEFINE PRIVATE VARIABLE components AS System.ComponentModel.IContainer NO-UNDO.
    DEFINE PRIVATE VARIABLE childFormNumber AS INTEGER INITIAL 0 NO-UNDO.
    
    DEFINE VARIABLE openFileDialog AS System.Windows.Forms.OpenFileDialog NO-UNDO. 
    DEFINE VARIABLE saveFileDialog AS System.Windows.Forms.SaveFileDialog NO-UNDO. 
    DEFINE PRIVATE VARIABLE menuStrip AS System.Windows.Forms.MenuStrip NO-UNDO.
    DEFINE PRIVATE VARIABLE toolStrip AS System.Windows.Forms.ToolStrip NO-UNDO.
    DEFINE PRIVATE VARIABLE statusStrip AS System.Windows.Forms.StatusStrip NO-UNDO.
    DEFINE PRIVATE VARIABLE toolStripSeparator1 AS System.Windows.Forms.ToolStripSeparator NO-UNDO.
    DEFINE PRIVATE VARIABLE toolStripSeparator2 AS System.Windows.Forms.ToolStripSeparator NO-UNDO.
    DEFINE PRIVATE VARIABLE toolStripSeparator3 AS System.Windows.Forms.ToolStripSeparator NO-UNDO.
    DEFINE PRIVATE VARIABLE toolStripSeparator4 AS System.Windows.Forms.ToolStripSeparator NO-UNDO.
    DEFINE PRIVATE VARIABLE toolStripSeparator5 AS System.Windows.Forms.ToolStripSeparator NO-UNDO.
    DEFINE PRIVATE VARIABLE toolStripSeparator6 AS System.Windows.Forms.ToolStripSeparator NO-UNDO.
    
    DEFINE PRIVATE VARIABLE printSetupToolStripMenuItem AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE toolStripSeparator7 AS System.Windows.Forms.ToolStripSeparator NO-UNDO.
    DEFINE PRIVATE VARIABLE toolStripSeparator8 AS System.Windows.Forms.ToolStripSeparator NO-UNDO.
    DEFINE PRIVATE VARIABLE toolStripStatusLabel AS System.Windows.Forms.ToolStripStatusLabel NO-UNDO.
    DEFINE PRIVATE VARIABLE aboutToolStripMenuItem AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE tileHorizontalToolStripMenuItem AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE fileMenu AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE openToolStripMenuItem AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE saveToolStripMenuItem AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE saveAsToolStripMenuItem AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE printToolStripMenuItem AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE printPreviewToolStripMenuItem AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE exitToolStripMenuItem AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE editMenu AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    
    DEFINE PRIVATE VARIABLE undoToolStripMenuItem AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE redoToolStripMenuItem AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE cutToolStripMenuItem AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE copyToolStripMenuItem AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE pasteToolStripMenuItem AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE selectAllToolStripMenuItem AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE viewMenu AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE toolBarToolStripMenuItem AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE statusBarToolStripMenuItem AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE toolsMenu AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE optionsToolStripMenuItem AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE windowsMenu AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    
    DEFINE PRIVATE VARIABLE newWindowToolStripMenuItem AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE cascadeToolStripMenuItem AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE tileVerticalToolStripMenuItem AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE closeAllToolStripMenuItem AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE arrangeIconsToolStripMenuItem AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE helpMenu AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE contentsToolStripMenuItem AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE indexToolStripMenuItem AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE searchToolStripMenuItem AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    
    DEFINE PRIVATE VARIABLE newToolStripButton AS System.Windows.Forms.ToolStripButton NO-UNDO.
    DEFINE PRIVATE VARIABLE openToolStripButton AS System.Windows.Forms.ToolStripButton NO-UNDO.
    DEFINE PRIVATE VARIABLE saveToolStripButton AS System.Windows.Forms.ToolStripButton NO-UNDO.
    DEFINE PRIVATE VARIABLE printToolStripButton AS System.Windows.Forms.ToolStripButton NO-UNDO.
    DEFINE PRIVATE VARIABLE printPreviewToolStripButton AS System.Windows.Forms.ToolStripButton NO-UNDO.
    DEFINE PRIVATE VARIABLE helpToolStripButton AS System.Windows.Forms.ToolStripButton NO-UNDO.
    DEFINE PRIVATE VARIABLE toolTip AS System.Windows.Forms.ToolTip NO-UNDO.

    DEFINE PRIVATE VARIABLE ultraExplorerBar1 AS Infragistics.Win.UltraWinExplorerBar.UltraExplorerBar NO-UNDO.

    DEFINE PRIVATE VARIABLE customerToolStripMenuItem AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE purchaseOrderToolStripMenuItem AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.
    DEFINE PRIVATE VARIABLE departmentToolStripMenuItem AS System.Windows.Forms.ToolStripMenuItem NO-UNDO.

		
	CONSTRUCTOR PUBLIC SportsForm( ):
		SUPER().
		InitializeComponent ( ).

	END CONSTRUCTOR.	

 
   METHOD PRIVATE VOID ShowNewForm(sender AS System.Object, e AS System.EventArgs):
    
        /* Create a NEW instance of the child form. */
        DEFINE VARIABLE childForm AS Progress.Windows.Form NO-UNDO. 
        childForm = NEW Progress.Windows.Form( ).
        /* Make it a child of this MDI form before showing it. */
        childForm:MdiParent = THIS-OBJECT.
        childFormNumber = childFormNumber + 1.
        childForm:Text = "Window " + STRING(childFormNumber).
        childForm:Show( ).
    END.
    
    
    METHOD PRIVATE VOID OpenFile_Ok(sender AS System.Object, e AS System.ComponentModel.CancelEventArgs):
        DEFINE VARIABLE fileName AS CHARACTER NO-UNDO.
        fileName = openFileDialog:FileName.
        /* TODO: Add code here to open the file. */
    END.    

    METHOD PRIVATE VOID OpenFile(sender AS System.Object, e AS System.EventArgs):
    
        openFileDialog = NEW System.Windows.Forms.OpenFileDialog( ).
        DEFINE VARIABLE x AS CHARACTER NO-UNDO.
        x = System.Environment:GetFolderPath(System.Environment+SpecialFolder:Personal).
        openFileDialog:InitialDirectory = System.Environment:GetFolderPath(System.Environment+SpecialFolder:Personal).
		openFileDialog:RestoreDirectory = TRUE.
        openFileDialog:Filter = "Text Files (*.txt)|*.txt|All Files (*.*)|*.*".
        openFileDialog:FileOk:Subscribe(OpenFile_Ok).
        WAIT-FOR openFileDialog:ShowDialog().
    END.

    METHOD PRIVATE VOID SaveAsToolStripMenuItem_Click(sender AS System.Object, e AS System.EventArgs):
    
        saveFileDialog = NEW System.Windows.Forms.SaveFileDialog( ).
        saveFileDialog:InitialDirectory = System.Environment:GetFolderPath(System.Environment+SpecialFolder:Personal).
		saveFileDialog:RestoreDirectory = TRUE.
        saveFileDialog:Filter = "Text Files (*.txt)|*.txt|All Files (*.*)|*.*".
        saveFileDialog:FileOk:Subscribe(SaveAs_Ok).
        WAIT-FOR saveFileDialog:ShowDialog(THIS-OBJECT).

     END.

    METHOD PRIVATE VOID SaveAs_Ok(o AS System.Object, e AS System.ComponentModel.CancelEventArgs):
        DEFINE VARIABLE fileName AS CHARACTER NO-UNDO.
        fileName = saveFileDialog:FileName.
        /* TODO: Add code here to save the current contents of the form to a file. */
    END.

    METHOD PRIVATE VOID ExitToolsStripMenuItem_Click(sender AS System.Object, e AS System.EventArgs):
    
        THIS-OBJECT:Close().
    END.

    METHOD PRIVATE VOID CutToolStripMenuItem_Click(sender AS System.Object, e AS System.EventArgs):
    
        /* TODO: Use System.Windows.Forms.Clipboard to insert the selected text or images into the clipboard */
    END.

    METHOD PRIVATE VOID CopyToolStripMenuItem_Click(sender AS System.Object, e AS System.EventArgs):
    
        /* TODO: Use System.Windows.Forms.Clipboard to insert the selected text or images into the clipboard */
    END.

    METHOD PRIVATE VOID PasteToolStripMenuItem_Click(sender AS System.Object, e AS System.EventArgs):
    
        /* TODO: Use System.Windows.Forms.Clipboard:GetText( ) or System.Windows.Forms:GetData to retrieve information from the clipboard. */
    END.

    METHOD PRIVATE VOID ToolBarToolStripMenuItem_Click(sender AS System.Object, e AS System.EventArgs):
    
        toolStrip:Visible = toolBarToolStripMenuItem:Checked.
    END.

    METHOD PRIVATE VOID StatusBarToolStripMenuItem_Click(sender AS System.Object, e AS System.EventArgs):
    
        statusStrip:Visible = statusBarToolStripMenuItem:Checked.
    END.

    METHOD PRIVATE VOID CascadeToolStripMenuItem_Click(sender AS System.Object, e AS System.EventArgs):
    
        THIS-OBJECT:LayoutMdi(System.Windows.Forms.MdiLayout:Cascade).
    END.

    METHOD PRIVATE VOID TileVerticleToolStripMenuItem_Click(sender AS System.Object, e AS System.EventArgs):
    
        THIS-OBJECT:LayoutMdi(System.Windows.Forms.MdiLayout:TileVertical).
    END.

    METHOD PRIVATE VOID TileHorizontalToolStripMenuItem_Click(sender AS System.Object, e AS System.EventArgs):
    
        THIS-OBJECT:LayoutMdi(System.Windows.Forms.MdiLayout:TileHorizontal).
    END.

    METHOD PRIVATE VOID ArrangeIconsToolStripMenuItem_Click(sender AS System.Object, e AS System.EventArgs):
    
        THIS-OBJECT:LayoutMdi(System.Windows.Forms.MdiLayout:ArrangeIcons).
    END.

    METHOD PRIVATE VOID CloseAllToolStripMenuItem_Click(sender AS System.Object, e AS System.EventArgs):
    
        DEFINE VARIABLE formArray AS System.Array NO-UNDO.
        DEFINE VARIABLE formx AS System.Windows.Forms.Form NO-UNDO.
        formArray = THIS-OBJECT:MdiChildren.
        DEFINE VARIABLE icnt AS INTEGER NO-UNDO.
        DO icnt = 0 TO formArray:LENGTH - 1:
            formx = CAST( formArray:GetValue(icnt), System.Windows.Forms.Form ).
            formx:Close( ).
        END.
    END.

 	 




	METHOD PRIVATE VOID InitializeComponent ( ):

/* 		NOTE: The following method is generated by the OpenEdge Advanced GUI Visual Designer.

		We strongly suggest that the contents of this method only be modified using the
		Visual Designer to avoid any incompatible modifications.

		Modifying the contents of this method using a code editor will invalidate any support for this file. */

		THIS-OBJECT:components = NEW System.ComponentModel.Container().
		@VisualDesigner.FormMember (NeedsInitialize="true").
		DEFINE VARIABLE resources AS System.Resources.ResXResourceSet NO-UNDO.
		resources = Progress.Util.ResourceHelper:Load("openedge\tutorial\ui\sportsForm.resx", PROPATH).
		@VisualDesigner.FormMember (NeedsInitialize="true").
		DEFINE VARIABLE ultraExplorerBarGroup1 AS Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarGroup NO-UNDO.
		ultraExplorerBarGroup1 = NEW Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarGroup().
		@VisualDesigner.FormMember (NeedsInitialize="true").
		DEFINE VARIABLE ultraExplorerBarItem1 AS Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarItem NO-UNDO.
		ultraExplorerBarItem1 = NEW Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarItem().
		@VisualDesigner.FormMember (NeedsInitialize="true").
		DEFINE VARIABLE ultraExplorerBarItem2 AS Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarItem NO-UNDO.
		ultraExplorerBarItem2 = NEW Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarItem().
		@VisualDesigner.FormMember (NeedsInitialize="true").
		DEFINE VARIABLE ultraExplorerBarGroup2 AS Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarGroup NO-UNDO.
		ultraExplorerBarGroup2 = NEW Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarGroup().
		@VisualDesigner.FormMember (NeedsInitialize="true").
		DEFINE VARIABLE ultraExplorerBarItem3 AS Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarItem NO-UNDO.
		ultraExplorerBarItem3 = NEW Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarItem().
		THIS-OBJECT:menuStrip = NEW System.Windows.Forms.MenuStrip().
		THIS-OBJECT:fileMenu = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:openToolStripMenuItem = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:customerToolStripMenuItem = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:purchaseOrderToolStripMenuItem = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:departmentToolStripMenuItem = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:toolStripSeparator3 = NEW System.Windows.Forms.ToolStripSeparator().
		THIS-OBJECT:saveToolStripMenuItem = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:saveAsToolStripMenuItem = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:toolStripSeparator4 = NEW System.Windows.Forms.ToolStripSeparator().
		THIS-OBJECT:printToolStripMenuItem = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:printPreviewToolStripMenuItem = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:printSetupToolStripMenuItem = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:toolStripSeparator5 = NEW System.Windows.Forms.ToolStripSeparator().
		THIS-OBJECT:exitToolStripMenuItem = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:editMenu = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:undoToolStripMenuItem = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:redoToolStripMenuItem = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:toolStripSeparator6 = NEW System.Windows.Forms.ToolStripSeparator().
		THIS-OBJECT:cutToolStripMenuItem = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:copyToolStripMenuItem = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:pasteToolStripMenuItem = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:toolStripSeparator7 = NEW System.Windows.Forms.ToolStripSeparator().
		THIS-OBJECT:selectAllToolStripMenuItem = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:viewMenu = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:toolBarToolStripMenuItem = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:statusBarToolStripMenuItem = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:toolsMenu = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:optionsToolStripMenuItem = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:windowsMenu = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:newWindowToolStripMenuItem = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:cascadeToolStripMenuItem = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:tileVerticalToolStripMenuItem = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:tileHorizontalToolStripMenuItem = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:closeAllToolStripMenuItem = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:arrangeIconsToolStripMenuItem = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:helpMenu = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:contentsToolStripMenuItem = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:indexToolStripMenuItem = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:searchToolStripMenuItem = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:toolStripSeparator8 = NEW System.Windows.Forms.ToolStripSeparator().
		THIS-OBJECT:aboutToolStripMenuItem = NEW System.Windows.Forms.ToolStripMenuItem().
		THIS-OBJECT:toolStrip = NEW System.Windows.Forms.ToolStrip().
		THIS-OBJECT:newToolStripButton = NEW System.Windows.Forms.ToolStripButton().
		THIS-OBJECT:openToolStripButton = NEW System.Windows.Forms.ToolStripButton().
		THIS-OBJECT:saveToolStripButton = NEW System.Windows.Forms.ToolStripButton().
		THIS-OBJECT:toolStripSeparator1 = NEW System.Windows.Forms.ToolStripSeparator().
		THIS-OBJECT:printToolStripButton = NEW System.Windows.Forms.ToolStripButton().
		THIS-OBJECT:printPreviewToolStripButton = NEW System.Windows.Forms.ToolStripButton().
		THIS-OBJECT:toolStripSeparator2 = NEW System.Windows.Forms.ToolStripSeparator().
		THIS-OBJECT:helpToolStripButton = NEW System.Windows.Forms.ToolStripButton().
		THIS-OBJECT:statusStrip = NEW System.Windows.Forms.StatusStrip().
		THIS-OBJECT:toolStripStatusLabel = NEW System.Windows.Forms.ToolStripStatusLabel().
		THIS-OBJECT:toolTip = NEW System.Windows.Forms.ToolTip(THIS-OBJECT:components).
		THIS-OBJECT:ultraExplorerBar1 = NEW Infragistics.Win.UltraWinExplorerBar.UltraExplorerBar().
		THIS-OBJECT:menuStrip:SuspendLayout().
		THIS-OBJECT:toolStrip:SuspendLayout().
		THIS-OBJECT:statusStrip:SuspendLayout().
		CAST(THIS-OBJECT:ultraExplorerBar1, System.ComponentModel.ISupportInitialize):BeginInit().
		THIS-OBJECT:SuspendLayout().
		/*  */
		/* menuStrip */
		/*  */
		@VisualDesigner.FormMember (NeedsInitialize="false", InitializeArray="true").
		DEFINE VARIABLE arrayvar0 AS System.Windows.Forms.ToolStripItem EXTENT 6 NO-UNDO.
		arrayvar0[1] = THIS-OBJECT:fileMenu.
		arrayvar0[2] = THIS-OBJECT:editMenu.
		arrayvar0[3] = THIS-OBJECT:viewMenu.
		arrayvar0[4] = THIS-OBJECT:toolsMenu.
		arrayvar0[5] = THIS-OBJECT:windowsMenu.
		arrayvar0[6] = THIS-OBJECT:helpMenu.
		THIS-OBJECT:menuStrip:Items:AddRange(arrayvar0).
		THIS-OBJECT:menuStrip:Location = NEW System.Drawing.Point(0, 0).
		THIS-OBJECT:menuStrip:MdiWindowListItem = THIS-OBJECT:windowsMenu.
		THIS-OBJECT:menuStrip:Name = "menuStrip".
		THIS-OBJECT:menuStrip:Size = NEW System.Drawing.Size(632, 24).
		THIS-OBJECT:menuStrip:TabIndex = 0.
		THIS-OBJECT:menuStrip:Text = "MenuStrip".
		/*  */
		/* fileMenu */
		/*  */
		@VisualDesigner.FormMember (NeedsInitialize="false", InitializeArray="true").
		DEFINE VARIABLE arrayvar1 AS System.Windows.Forms.ToolStripItem EXTENT 10 NO-UNDO.
		arrayvar1[1] = THIS-OBJECT:openToolStripMenuItem.
		arrayvar1[2] = THIS-OBJECT:toolStripSeparator3.
		arrayvar1[3] = THIS-OBJECT:saveToolStripMenuItem.
		arrayvar1[4] = THIS-OBJECT:saveAsToolStripMenuItem.
		arrayvar1[5] = THIS-OBJECT:toolStripSeparator4.
		arrayvar1[6] = THIS-OBJECT:printToolStripMenuItem.
		arrayvar1[7] = THIS-OBJECT:printPreviewToolStripMenuItem.
		arrayvar1[8] = THIS-OBJECT:printSetupToolStripMenuItem.
		arrayvar1[9] = THIS-OBJECT:toolStripSeparator5.
		arrayvar1[10] = THIS-OBJECT:exitToolStripMenuItem.
		THIS-OBJECT:fileMenu:DropDownItems:AddRange(arrayvar1).
		THIS-OBJECT:fileMenu:ImageTransparentColor = System.Drawing.SystemColors:ActiveBorder.
		THIS-OBJECT:fileMenu:Name = "fileMenu".
		THIS-OBJECT:fileMenu:Size = NEW System.Drawing.Size(35, 20).
		THIS-OBJECT:fileMenu:Text = "&File".
		/*  */
		/* openToolStripMenuItem */
		/*  */
		@VisualDesigner.FormMember (NeedsInitialize="false", InitializeArray="true").
		DEFINE VARIABLE arrayvar2 AS System.Windows.Forms.ToolStripItem EXTENT 3 NO-UNDO.
		arrayvar2[1] = THIS-OBJECT:customerToolStripMenuItem.
		arrayvar2[2] = THIS-OBJECT:purchaseOrderToolStripMenuItem.
		arrayvar2[3] = THIS-OBJECT:departmentToolStripMenuItem.
		THIS-OBJECT:openToolStripMenuItem:DropDownItems:AddRange(arrayvar2).
		THIS-OBJECT:openToolStripMenuItem:Image = CAST(resources:GetObject("openToolStripMenuItem.Image"), System.Drawing.Image).
		THIS-OBJECT:openToolStripMenuItem:ImageTransparentColor = System.Drawing.Color:Black.
		THIS-OBJECT:openToolStripMenuItem:Name = "openToolStripMenuItem".
		THIS-OBJECT:openToolStripMenuItem:ShortcutKeys = CAST(Progress.Util.EnumHelper:Or(System.Windows.Forms.Keys:Control, System.Windows.Forms.Keys:O), System.Windows.Forms.Keys).
		THIS-OBJECT:openToolStripMenuItem:ShowShortcutKeys = FALSE.
		THIS-OBJECT:openToolStripMenuItem:Size = NEW System.Drawing.Size(148, 22).
		THIS-OBJECT:openToolStripMenuItem:Text = "&Open".
		/*  */
		/* customerToolStripMenuItem */
		/*  */
		THIS-OBJECT:customerToolStripMenuItem:Name = "customerToolStripMenuItem".
		THIS-OBJECT:customerToolStripMenuItem:Size = NEW System.Drawing.Size(160, 22).
		THIS-OBJECT:customerToolStripMenuItem:Text = "Customer".
		THIS-OBJECT:customerToolStripMenuItem:Click:SUBSCRIBE(THIS-OBJECT:showCustomerForm).
		/*  */
		/* purchaseOrderToolStripMenuItem */
		/*  */
		THIS-OBJECT:purchaseOrderToolStripMenuItem:Name = "purchaseOrderToolStripMenuItem".
		THIS-OBJECT:purchaseOrderToolStripMenuItem:Size = NEW System.Drawing.Size(160, 22).
		THIS-OBJECT:purchaseOrderToolStripMenuItem:Text = "Purchase Order".
		THIS-OBJECT:purchaseOrderToolStripMenuItem:Click:SUBSCRIBE(THIS-OBJECT:showPurchOrderForm).
		/*  */
		/* departmentToolStripMenuItem */
		/*  */
		THIS-OBJECT:departmentToolStripMenuItem:Name = "departmentToolStripMenuItem".
		THIS-OBJECT:departmentToolStripMenuItem:Size = NEW System.Drawing.Size(160, 22).
		THIS-OBJECT:departmentToolStripMenuItem:Text = "Department".
		THIS-OBJECT:departmentToolStripMenuItem:Click:SUBSCRIBE(THIS-OBJECT:showDepartmentForm).
		/*  */
		/* toolStripSeparator3 */
		/*  */
		THIS-OBJECT:toolStripSeparator3:Name = "toolStripSeparator3".
		THIS-OBJECT:toolStripSeparator3:Size = NEW System.Drawing.Size(145, 6).
		/*  */
		/* saveToolStripMenuItem */
		/*  */
		THIS-OBJECT:saveToolStripMenuItem:Image = CAST(resources:GetObject("saveToolStripMenuItem.Image"), System.Drawing.Image).
		THIS-OBJECT:saveToolStripMenuItem:ImageTransparentColor = System.Drawing.Color:Black.
		THIS-OBJECT:saveToolStripMenuItem:Name = "saveToolStripMenuItem".
		THIS-OBJECT:saveToolStripMenuItem:ShortcutKeys = CAST(Progress.Util.EnumHelper:Or(System.Windows.Forms.Keys:Control, System.Windows.Forms.Keys:S), System.Windows.Forms.Keys).
		THIS-OBJECT:saveToolStripMenuItem:Size = NEW System.Drawing.Size(148, 22).
		THIS-OBJECT:saveToolStripMenuItem:Text = "&Save".
		/*  */
		/* saveAsToolStripMenuItem */
		/*  */
		THIS-OBJECT:saveAsToolStripMenuItem:Name = "saveAsToolStripMenuItem".
		THIS-OBJECT:saveAsToolStripMenuItem:Size = NEW System.Drawing.Size(148, 22).
		THIS-OBJECT:saveAsToolStripMenuItem:Text = "Save &As".
		THIS-OBJECT:saveAsToolStripMenuItem:Click:SUBSCRIBE(THIS-OBJECT:SaveAsToolStripMenuItem_Click).
		/*  */
		/* toolStripSeparator4 */
		/*  */
		THIS-OBJECT:toolStripSeparator4:Name = "toolStripSeparator4".
		THIS-OBJECT:toolStripSeparator4:Size = NEW System.Drawing.Size(145, 6).
		/*  */
		/* printToolStripMenuItem */
		/*  */
		THIS-OBJECT:printToolStripMenuItem:Image = CAST(resources:GetObject("printToolStripMenuItem.Image"), System.Drawing.Image).
		THIS-OBJECT:printToolStripMenuItem:ImageTransparentColor = System.Drawing.Color:Black.
		THIS-OBJECT:printToolStripMenuItem:Name = "printToolStripMenuItem".
		THIS-OBJECT:printToolStripMenuItem:ShortcutKeys = CAST(Progress.Util.EnumHelper:Or(System.Windows.Forms.Keys:Control, System.Windows.Forms.Keys:P), System.Windows.Forms.Keys).
		THIS-OBJECT:printToolStripMenuItem:Size = NEW System.Drawing.Size(148, 22).
		THIS-OBJECT:printToolStripMenuItem:Text = "&Print".
		/*  */
		/* printPreviewToolStripMenuItem */
		/*  */
		THIS-OBJECT:printPreviewToolStripMenuItem:Image = CAST(resources:GetObject("printPreviewToolStripMenuItem.Image"), System.Drawing.Image).
		THIS-OBJECT:printPreviewToolStripMenuItem:ImageTransparentColor = System.Drawing.Color:Black.
		THIS-OBJECT:printPreviewToolStripMenuItem:Name = "printPreviewToolStripMenuItem".
		THIS-OBJECT:printPreviewToolStripMenuItem:Size = NEW System.Drawing.Size(148, 22).
		THIS-OBJECT:printPreviewToolStripMenuItem:Text = "Print Pre&view".
		/*  */
		/* printSetupToolStripMenuItem */
		/*  */
		THIS-OBJECT:printSetupToolStripMenuItem:Name = "printSetupToolStripMenuItem".
		THIS-OBJECT:printSetupToolStripMenuItem:Size = NEW System.Drawing.Size(148, 22).
		THIS-OBJECT:printSetupToolStripMenuItem:Text = "Print Setup".
		/*  */
		/* toolStripSeparator5 */
		/*  */
		THIS-OBJECT:toolStripSeparator5:Name = "toolStripSeparator5".
		THIS-OBJECT:toolStripSeparator5:Size = NEW System.Drawing.Size(145, 6).
		/*  */
		/* exitToolStripMenuItem */
		/*  */
		THIS-OBJECT:exitToolStripMenuItem:Name = "exitToolStripMenuItem".
		THIS-OBJECT:exitToolStripMenuItem:Size = NEW System.Drawing.Size(148, 22).
		THIS-OBJECT:exitToolStripMenuItem:Text = "E&xit".
		THIS-OBJECT:exitToolStripMenuItem:Click:SUBSCRIBE(THIS-OBJECT:ExitToolsStripMenuItem_Click).
		/*  */
		/* editMenu */
		/*  */
		@VisualDesigner.FormMember (NeedsInitialize="false", InitializeArray="true").
		DEFINE VARIABLE arrayvar3 AS System.Windows.Forms.ToolStripItem EXTENT 8 NO-UNDO.
		arrayvar3[1] = THIS-OBJECT:undoToolStripMenuItem.
		arrayvar3[2] = THIS-OBJECT:redoToolStripMenuItem.
		arrayvar3[3] = THIS-OBJECT:toolStripSeparator6.
		arrayvar3[4] = THIS-OBJECT:cutToolStripMenuItem.
		arrayvar3[5] = THIS-OBJECT:copyToolStripMenuItem.
		arrayvar3[6] = THIS-OBJECT:pasteToolStripMenuItem.
		arrayvar3[7] = THIS-OBJECT:toolStripSeparator7.
		arrayvar3[8] = THIS-OBJECT:selectAllToolStripMenuItem.
		THIS-OBJECT:editMenu:DropDownItems:AddRange(arrayvar3).
		THIS-OBJECT:editMenu:Name = "editMenu".
		THIS-OBJECT:editMenu:Size = NEW System.Drawing.Size(37, 20).
		THIS-OBJECT:editMenu:Text = "&Edit".
		/*  */
		/* undoToolStripMenuItem */
		/*  */
		THIS-OBJECT:undoToolStripMenuItem:Image = CAST(resources:GetObject("undoToolStripMenuItem.Image"), System.Drawing.Image).
		THIS-OBJECT:undoToolStripMenuItem:ImageTransparentColor = System.Drawing.Color:Black.
		THIS-OBJECT:undoToolStripMenuItem:Name = "undoToolStripMenuItem".
		THIS-OBJECT:undoToolStripMenuItem:ShortcutKeys = CAST(Progress.Util.EnumHelper:Or(System.Windows.Forms.Keys:Control, System.Windows.Forms.Keys:Z), System.Windows.Forms.Keys).
		THIS-OBJECT:undoToolStripMenuItem:Size = NEW System.Drawing.Size(167, 22).
		THIS-OBJECT:undoToolStripMenuItem:Text = "&Undo".
		/*  */
		/* redoToolStripMenuItem */
		/*  */
		THIS-OBJECT:redoToolStripMenuItem:Image = CAST(resources:GetObject("redoToolStripMenuItem.Image"), System.Drawing.Image).
		THIS-OBJECT:redoToolStripMenuItem:ImageTransparentColor = System.Drawing.Color:Black.
		THIS-OBJECT:redoToolStripMenuItem:Name = "redoToolStripMenuItem".
		THIS-OBJECT:redoToolStripMenuItem:ShortcutKeys = CAST(Progress.Util.EnumHelper:Or(System.Windows.Forms.Keys:Control, System.Windows.Forms.Keys:Y), System.Windows.Forms.Keys).
		THIS-OBJECT:redoToolStripMenuItem:Size = NEW System.Drawing.Size(167, 22).
		THIS-OBJECT:redoToolStripMenuItem:Text = "&Redo".
		/*  */
		/* toolStripSeparator6 */
		/*  */
		THIS-OBJECT:toolStripSeparator6:Name = "toolStripSeparator6".
		THIS-OBJECT:toolStripSeparator6:Size = NEW System.Drawing.Size(164, 6).
		/*  */
		/* cutToolStripMenuItem */
		/*  */
		THIS-OBJECT:cutToolStripMenuItem:Image = CAST(resources:GetObject("cutToolStripMenuItem.Image"), System.Drawing.Image).
		THIS-OBJECT:cutToolStripMenuItem:ImageTransparentColor = System.Drawing.Color:Black.
		THIS-OBJECT:cutToolStripMenuItem:Name = "cutToolStripMenuItem".
		THIS-OBJECT:cutToolStripMenuItem:ShortcutKeys = CAST(Progress.Util.EnumHelper:Or(System.Windows.Forms.Keys:Control, System.Windows.Forms.Keys:X), System.Windows.Forms.Keys).
		THIS-OBJECT:cutToolStripMenuItem:Size = NEW System.Drawing.Size(167, 22).
		THIS-OBJECT:cutToolStripMenuItem:Text = "Cu&t".
		THIS-OBJECT:cutToolStripMenuItem:Click:SUBSCRIBE(THIS-OBJECT:CutToolStripMenuItem_Click).
		/*  */
		/* copyToolStripMenuItem */
		/*  */
		THIS-OBJECT:copyToolStripMenuItem:Image = CAST(resources:GetObject("copyToolStripMenuItem.Image"), System.Drawing.Image).
		THIS-OBJECT:copyToolStripMenuItem:ImageTransparentColor = System.Drawing.Color:Black.
		THIS-OBJECT:copyToolStripMenuItem:Name = "copyToolStripMenuItem".
		THIS-OBJECT:copyToolStripMenuItem:ShortcutKeys = CAST(Progress.Util.EnumHelper:Or(System.Windows.Forms.Keys:Control, System.Windows.Forms.Keys:C), System.Windows.Forms.Keys).
		THIS-OBJECT:copyToolStripMenuItem:Size = NEW System.Drawing.Size(167, 22).
		THIS-OBJECT:copyToolStripMenuItem:Text = "&Copy".
		THIS-OBJECT:copyToolStripMenuItem:Click:SUBSCRIBE(THIS-OBJECT:CopyToolStripMenuItem_Click).
		/*  */
		/* pasteToolStripMenuItem */
		/*  */
		THIS-OBJECT:pasteToolStripMenuItem:Image = CAST(resources:GetObject("pasteToolStripMenuItem.Image"), System.Drawing.Image).
		THIS-OBJECT:pasteToolStripMenuItem:ImageTransparentColor = System.Drawing.Color:Black.
		THIS-OBJECT:pasteToolStripMenuItem:Name = "pasteToolStripMenuItem".
		THIS-OBJECT:pasteToolStripMenuItem:ShortcutKeys = CAST(Progress.Util.EnumHelper:Or(System.Windows.Forms.Keys:Control, System.Windows.Forms.Keys:V), System.Windows.Forms.Keys).
		THIS-OBJECT:pasteToolStripMenuItem:Size = NEW System.Drawing.Size(167, 22).
		THIS-OBJECT:pasteToolStripMenuItem:Text = "&Paste".
		THIS-OBJECT:pasteToolStripMenuItem:Click:SUBSCRIBE(THIS-OBJECT:PasteToolStripMenuItem_Click).
		/*  */
		/* toolStripSeparator7 */
		/*  */
		THIS-OBJECT:toolStripSeparator7:Name = "toolStripSeparator7".
		THIS-OBJECT:toolStripSeparator7:Size = NEW System.Drawing.Size(164, 6).
		/*  */
		/* selectAllToolStripMenuItem */
		/*  */
		THIS-OBJECT:selectAllToolStripMenuItem:Name = "selectAllToolStripMenuItem".
		THIS-OBJECT:selectAllToolStripMenuItem:ShortcutKeys = CAST(Progress.Util.EnumHelper:Or(System.Windows.Forms.Keys:Control, System.Windows.Forms.Keys:A), System.Windows.Forms.Keys).
		THIS-OBJECT:selectAllToolStripMenuItem:Size = NEW System.Drawing.Size(167, 22).
		THIS-OBJECT:selectAllToolStripMenuItem:Text = "Select &All".
		/*  */
		/* viewMenu */
		/*  */
		@VisualDesigner.FormMember (NeedsInitialize="false", InitializeArray="true").
		DEFINE VARIABLE arrayvar4 AS System.Windows.Forms.ToolStripItem EXTENT 2 NO-UNDO.
		arrayvar4[1] = THIS-OBJECT:toolBarToolStripMenuItem.
		arrayvar4[2] = THIS-OBJECT:statusBarToolStripMenuItem.
		THIS-OBJECT:viewMenu:DropDownItems:AddRange(arrayvar4).
		THIS-OBJECT:viewMenu:Name = "viewMenu".
		THIS-OBJECT:viewMenu:Size = NEW System.Drawing.Size(41, 20).
		THIS-OBJECT:viewMenu:Text = "&View".
		/*  */
		/* toolBarToolStripMenuItem */
		/*  */
		THIS-OBJECT:toolBarToolStripMenuItem:Checked = TRUE.
		THIS-OBJECT:toolBarToolStripMenuItem:CheckOnClick = TRUE.
		THIS-OBJECT:toolBarToolStripMenuItem:CheckState = System.Windows.Forms.CheckState:Checked.
		THIS-OBJECT:toolBarToolStripMenuItem:Name = "toolBarToolStripMenuItem".
		THIS-OBJECT:toolBarToolStripMenuItem:Size = NEW System.Drawing.Size(135, 22).
		THIS-OBJECT:toolBarToolStripMenuItem:Text = "&Toolbar".
		THIS-OBJECT:toolBarToolStripMenuItem:Click:SUBSCRIBE(THIS-OBJECT:ToolBarToolStripMenuItem_Click).
		/*  */
		/* statusBarToolStripMenuItem */
		/*  */
		THIS-OBJECT:statusBarToolStripMenuItem:Checked = TRUE.
		THIS-OBJECT:statusBarToolStripMenuItem:CheckOnClick = TRUE.
		THIS-OBJECT:statusBarToolStripMenuItem:CheckState = System.Windows.Forms.CheckState:Checked.
		THIS-OBJECT:statusBarToolStripMenuItem:Name = "statusBarToolStripMenuItem".
		THIS-OBJECT:statusBarToolStripMenuItem:Size = NEW System.Drawing.Size(135, 22).
		THIS-OBJECT:statusBarToolStripMenuItem:Text = "&Status Bar".
		THIS-OBJECT:statusBarToolStripMenuItem:Click:SUBSCRIBE(THIS-OBJECT:StatusBarToolStripMenuItem_Click).
		/*  */
		/* toolsMenu */
		/*  */
		@VisualDesigner.FormMember (NeedsInitialize="false", InitializeArray="true").
		DEFINE VARIABLE arrayvar5 AS System.Windows.Forms.ToolStripItem EXTENT 1 NO-UNDO.
		arrayvar5[1] = THIS-OBJECT:optionsToolStripMenuItem.
		THIS-OBJECT:toolsMenu:DropDownItems:AddRange(arrayvar5).
		THIS-OBJECT:toolsMenu:Name = "toolsMenu".
		THIS-OBJECT:toolsMenu:Size = NEW System.Drawing.Size(44, 20).
		THIS-OBJECT:toolsMenu:Text = "&Tools".
		/*  */
		/* optionsToolStripMenuItem */
		/*  */
		THIS-OBJECT:optionsToolStripMenuItem:Name = "optionsToolStripMenuItem".
		THIS-OBJECT:optionsToolStripMenuItem:Size = NEW System.Drawing.Size(122, 22).
		THIS-OBJECT:optionsToolStripMenuItem:Text = "&Options".
		/*  */
		/* windowsMenu */
		/*  */
		@VisualDesigner.FormMember (NeedsInitialize="false", InitializeArray="true").
		DEFINE VARIABLE arrayvar6 AS System.Windows.Forms.ToolStripItem EXTENT 6 NO-UNDO.
		arrayvar6[1] = THIS-OBJECT:newWindowToolStripMenuItem.
		arrayvar6[2] = THIS-OBJECT:cascadeToolStripMenuItem.
		arrayvar6[3] = THIS-OBJECT:tileVerticalToolStripMenuItem.
		arrayvar6[4] = THIS-OBJECT:tileHorizontalToolStripMenuItem.
		arrayvar6[5] = THIS-OBJECT:closeAllToolStripMenuItem.
		arrayvar6[6] = THIS-OBJECT:arrangeIconsToolStripMenuItem.
		THIS-OBJECT:windowsMenu:DropDownItems:AddRange(arrayvar6).
		THIS-OBJECT:windowsMenu:Name = "windowsMenu".
		THIS-OBJECT:windowsMenu:Size = NEW System.Drawing.Size(62, 20).
		THIS-OBJECT:windowsMenu:Text = "&Windows".
		/*  */
		/* newWindowToolStripMenuItem */
		/*  */
		THIS-OBJECT:newWindowToolStripMenuItem:Name = "newWindowToolStripMenuItem".
		THIS-OBJECT:newWindowToolStripMenuItem:Size = NEW System.Drawing.Size(153, 22).
		THIS-OBJECT:newWindowToolStripMenuItem:Text = "&New Window".
		THIS-OBJECT:newWindowToolStripMenuItem:Click:SUBSCRIBE(THIS-OBJECT:ShowNewForm).
		/*  */
		/* cascadeToolStripMenuItem */
		/*  */
		THIS-OBJECT:cascadeToolStripMenuItem:Name = "cascadeToolStripMenuItem".
		THIS-OBJECT:cascadeToolStripMenuItem:Size = NEW System.Drawing.Size(153, 22).
		THIS-OBJECT:cascadeToolStripMenuItem:Text = "&Cascade".
		THIS-OBJECT:cascadeToolStripMenuItem:Click:SUBSCRIBE(THIS-OBJECT:CascadeToolStripMenuItem_Click).
		/*  */
		/* tileVerticalToolStripMenuItem */
		/*  */
		THIS-OBJECT:tileVerticalToolStripMenuItem:Name = "tileVerticalToolStripMenuItem".
		THIS-OBJECT:tileVerticalToolStripMenuItem:Size = NEW System.Drawing.Size(153, 22).
		THIS-OBJECT:tileVerticalToolStripMenuItem:Text = "Tile &Vertical".
		THIS-OBJECT:tileVerticalToolStripMenuItem:Click:SUBSCRIBE(THIS-OBJECT:TileVerticleToolStripMenuItem_Click).
		/*  */
		/* tileHorizontalToolStripMenuItem */
		/*  */
		THIS-OBJECT:tileHorizontalToolStripMenuItem:Name = "tileHorizontalToolStripMenuItem".
		THIS-OBJECT:tileHorizontalToolStripMenuItem:Size = NEW System.Drawing.Size(153, 22).
		THIS-OBJECT:tileHorizontalToolStripMenuItem:Text = "Tile &Horizontal".
		THIS-OBJECT:tileHorizontalToolStripMenuItem:Click:SUBSCRIBE(THIS-OBJECT:TileHorizontalToolStripMenuItem_Click).
		/*  */
		/* closeAllToolStripMenuItem */
		/*  */
		THIS-OBJECT:closeAllToolStripMenuItem:Name = "closeAllToolStripMenuItem".
		THIS-OBJECT:closeAllToolStripMenuItem:Size = NEW System.Drawing.Size(153, 22).
		THIS-OBJECT:closeAllToolStripMenuItem:Text = "C&lose All".
		THIS-OBJECT:closeAllToolStripMenuItem:Click:SUBSCRIBE(THIS-OBJECT:CloseAllToolStripMenuItem_Click).
		/*  */
		/* arrangeIconsToolStripMenuItem */
		/*  */
		THIS-OBJECT:arrangeIconsToolStripMenuItem:Name = "arrangeIconsToolStripMenuItem".
		THIS-OBJECT:arrangeIconsToolStripMenuItem:Size = NEW System.Drawing.Size(153, 22).
		THIS-OBJECT:arrangeIconsToolStripMenuItem:Text = "&Arrange Icons".
		THIS-OBJECT:arrangeIconsToolStripMenuItem:Click:SUBSCRIBE(THIS-OBJECT:ArrangeIconsToolStripMenuItem_Click).
		/*  */
		/* helpMenu */
		/*  */
		@VisualDesigner.FormMember (NeedsInitialize="false", InitializeArray="true").
		DEFINE VARIABLE arrayvar7 AS System.Windows.Forms.ToolStripItem EXTENT 5 NO-UNDO.
		arrayvar7[1] = THIS-OBJECT:contentsToolStripMenuItem.
		arrayvar7[2] = THIS-OBJECT:indexToolStripMenuItem.
		arrayvar7[3] = THIS-OBJECT:searchToolStripMenuItem.
		arrayvar7[4] = THIS-OBJECT:toolStripSeparator8.
		arrayvar7[5] = THIS-OBJECT:aboutToolStripMenuItem.
		THIS-OBJECT:helpMenu:DropDownItems:AddRange(arrayvar7).
		THIS-OBJECT:helpMenu:Name = "helpMenu".
		THIS-OBJECT:helpMenu:Size = NEW System.Drawing.Size(40, 20).
		THIS-OBJECT:helpMenu:Text = "&Help".
		/*  */
		/* contentsToolStripMenuItem */
		/*  */
		THIS-OBJECT:contentsToolStripMenuItem:Name = "contentsToolStripMenuItem".
		THIS-OBJECT:contentsToolStripMenuItem:ShortcutKeys = CAST(Progress.Util.EnumHelper:Or(System.Windows.Forms.Keys:Control, System.Windows.Forms.Keys:F1), System.Windows.Forms.Keys).
		THIS-OBJECT:contentsToolStripMenuItem:Size = NEW System.Drawing.Size(173, 22).
		THIS-OBJECT:contentsToolStripMenuItem:Text = "&Contents".
		/*  */
		/* indexToolStripMenuItem */
		/*  */
		THIS-OBJECT:indexToolStripMenuItem:Image = CAST(resources:GetObject("indexToolStripMenuItem.Image"), System.Drawing.Image).
		THIS-OBJECT:indexToolStripMenuItem:ImageTransparentColor = System.Drawing.Color:Black.
		THIS-OBJECT:indexToolStripMenuItem:Name = "indexToolStripMenuItem".
		THIS-OBJECT:indexToolStripMenuItem:Size = NEW System.Drawing.Size(173, 22).
		THIS-OBJECT:indexToolStripMenuItem:Text = "&Index".
		/*  */
		/* searchToolStripMenuItem */
		/*  */
		THIS-OBJECT:searchToolStripMenuItem:Image = CAST(resources:GetObject("searchToolStripMenuItem.Image"), System.Drawing.Image).
		THIS-OBJECT:searchToolStripMenuItem:ImageTransparentColor = System.Drawing.Color:Black.
		THIS-OBJECT:searchToolStripMenuItem:Name = "searchToolStripMenuItem".
		THIS-OBJECT:searchToolStripMenuItem:Size = NEW System.Drawing.Size(173, 22).
		THIS-OBJECT:searchToolStripMenuItem:Text = "&Search".
		/*  */
		/* toolStripSeparator8 */
		/*  */
		THIS-OBJECT:toolStripSeparator8:Name = "toolStripSeparator8".
		THIS-OBJECT:toolStripSeparator8:Size = NEW System.Drawing.Size(170, 6).
		/*  */
		/* aboutToolStripMenuItem */
		/*  */
		THIS-OBJECT:aboutToolStripMenuItem:Name = "aboutToolStripMenuItem".
		THIS-OBJECT:aboutToolStripMenuItem:Size = NEW System.Drawing.Size(173, 22).
		THIS-OBJECT:aboutToolStripMenuItem:Text = "&About...".
		/*  */
		/* toolStrip */
		/*  */
		@VisualDesigner.FormMember (NeedsInitialize="false", InitializeArray="true").
		DEFINE VARIABLE arrayvar8 AS System.Windows.Forms.ToolStripItem EXTENT 8 NO-UNDO.
		arrayvar8[1] = THIS-OBJECT:newToolStripButton.
		arrayvar8[2] = THIS-OBJECT:openToolStripButton.
		arrayvar8[3] = THIS-OBJECT:saveToolStripButton.
		arrayvar8[4] = THIS-OBJECT:toolStripSeparator1.
		arrayvar8[5] = THIS-OBJECT:printToolStripButton.
		arrayvar8[6] = THIS-OBJECT:printPreviewToolStripButton.
		arrayvar8[7] = THIS-OBJECT:toolStripSeparator2.
		arrayvar8[8] = THIS-OBJECT:helpToolStripButton.
		THIS-OBJECT:toolStrip:Items:AddRange(arrayvar8).
		THIS-OBJECT:toolStrip:Location = NEW System.Drawing.Point(0, 24).
		THIS-OBJECT:toolStrip:Name = "toolStrip".
		THIS-OBJECT:toolStrip:Size = NEW System.Drawing.Size(632, 25).
		THIS-OBJECT:toolStrip:TabIndex = 1.
		THIS-OBJECT:toolStrip:Text = "ToolStrip".
		/*  */
		/* newToolStripButton */
		/*  */
		THIS-OBJECT:newToolStripButton:DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle:Image.
		THIS-OBJECT:newToolStripButton:Image = CAST(resources:GetObject("newToolStripButton.Image"), System.Drawing.Image).
		THIS-OBJECT:newToolStripButton:ImageTransparentColor = System.Drawing.Color:Black.
		THIS-OBJECT:newToolStripButton:Name = "newToolStripButton".
		THIS-OBJECT:newToolStripButton:Size = NEW System.Drawing.Size(23, 22).
		THIS-OBJECT:newToolStripButton:Text = "New".
		THIS-OBJECT:newToolStripButton:Click:SUBSCRIBE(THIS-OBJECT:ShowNewForm).
		/*  */
		/* openToolStripButton */
		/*  */
		THIS-OBJECT:openToolStripButton:DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle:Image.
		THIS-OBJECT:openToolStripButton:Image = CAST(resources:GetObject("openToolStripButton.Image"), System.Drawing.Image).
		THIS-OBJECT:openToolStripButton:ImageTransparentColor = System.Drawing.Color:Black.
		THIS-OBJECT:openToolStripButton:Name = "openToolStripButton".
		THIS-OBJECT:openToolStripButton:Size = NEW System.Drawing.Size(23, 22).
		THIS-OBJECT:openToolStripButton:Text = "Open".
		THIS-OBJECT:openToolStripButton:Click:SUBSCRIBE(THIS-OBJECT:OpenFile).
		/*  */
		/* saveToolStripButton */
		/*  */
		THIS-OBJECT:saveToolStripButton:DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle:Image.
		THIS-OBJECT:saveToolStripButton:Image = CAST(resources:GetObject("saveToolStripButton.Image"), System.Drawing.Image).
		THIS-OBJECT:saveToolStripButton:ImageTransparentColor = System.Drawing.Color:Black.
		THIS-OBJECT:saveToolStripButton:Name = "saveToolStripButton".
		THIS-OBJECT:saveToolStripButton:Size = NEW System.Drawing.Size(23, 22).
		THIS-OBJECT:saveToolStripButton:Text = "Save".
		/*  */
		/* toolStripSeparator1 */
		/*  */
		THIS-OBJECT:toolStripSeparator1:Name = "toolStripSeparator1".
		THIS-OBJECT:toolStripSeparator1:Size = NEW System.Drawing.Size(6, 25).
		/*  */
		/* printToolStripButton */
		/*  */
		THIS-OBJECT:printToolStripButton:DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle:Image.
		THIS-OBJECT:printToolStripButton:Image = CAST(resources:GetObject("printToolStripButton.Image"), System.Drawing.Image).
		THIS-OBJECT:printToolStripButton:ImageTransparentColor = System.Drawing.Color:Black.
		THIS-OBJECT:printToolStripButton:Name = "printToolStripButton".
		THIS-OBJECT:printToolStripButton:Size = NEW System.Drawing.Size(23, 22).
		THIS-OBJECT:printToolStripButton:Text = "Print".
		/*  */
		/* printPreviewToolStripButton */
		/*  */
		THIS-OBJECT:printPreviewToolStripButton:DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle:Image.
		THIS-OBJECT:printPreviewToolStripButton:Image = CAST(resources:GetObject("printPreviewToolStripButton.Image"), System.Drawing.Image).
		THIS-OBJECT:printPreviewToolStripButton:ImageTransparentColor = System.Drawing.Color:Black.
		THIS-OBJECT:printPreviewToolStripButton:Name = "printPreviewToolStripButton".
		THIS-OBJECT:printPreviewToolStripButton:Size = NEW System.Drawing.Size(23, 22).
		THIS-OBJECT:printPreviewToolStripButton:Text = "Print Preview".
		/*  */
		/* toolStripSeparator2 */
		/*  */
		THIS-OBJECT:toolStripSeparator2:Name = "toolStripSeparator2".
		THIS-OBJECT:toolStripSeparator2:Size = NEW System.Drawing.Size(6, 25).
		/*  */
		/* helpToolStripButton */
		/*  */
		THIS-OBJECT:helpToolStripButton:DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle:Image.
		THIS-OBJECT:helpToolStripButton:Image = CAST(resources:GetObject("helpToolStripButton.Image"), System.Drawing.Image).
		THIS-OBJECT:helpToolStripButton:ImageTransparentColor = System.Drawing.Color:Black.
		THIS-OBJECT:helpToolStripButton:Name = "helpToolStripButton".
		THIS-OBJECT:helpToolStripButton:Size = NEW System.Drawing.Size(23, 22).
		THIS-OBJECT:helpToolStripButton:Text = "Help".
		/*  */
		/* statusStrip */
		/*  */
		@VisualDesigner.FormMember (NeedsInitialize="false", InitializeArray="true").
		DEFINE VARIABLE arrayvar9 AS System.Windows.Forms.ToolStripItem EXTENT 1 NO-UNDO.
		arrayvar9[1] = THIS-OBJECT:toolStripStatusLabel.
		THIS-OBJECT:statusStrip:Items:AddRange(arrayvar9).
		THIS-OBJECT:statusStrip:Location = NEW System.Drawing.Point(0, 431).
		THIS-OBJECT:statusStrip:Name = "statusStrip".
		THIS-OBJECT:statusStrip:Size = NEW System.Drawing.Size(632, 22).
		THIS-OBJECT:statusStrip:TabIndex = 2.
		THIS-OBJECT:statusStrip:Text = "StatusStrip".
		/*  */
		/* toolStripStatusLabel */
		/*  */
		THIS-OBJECT:toolStripStatusLabel:Name = "toolStripStatusLabel".
		THIS-OBJECT:toolStripStatusLabel:Size = NEW System.Drawing.Size(38, 17).
		THIS-OBJECT:toolStripStatusLabel:Text = "Status".
		/*  */
		/* ultraExplorerBar1 */
		/*  */
		THIS-OBJECT:ultraExplorerBar1:Dock = System.Windows.Forms.DockStyle:Left.
		ultraExplorerBarItem1:Tag = "CustMaint".
		ultraExplorerBarItem1:Text = "Customer".
		ultraExplorerBarItem2:Tag = "PurchOrder".
		ultraExplorerBarItem2:Text = "Purchase Order".
		@VisualDesigner.FormMember (NeedsInitialize="false", InitializeArray="true").
		DEFINE VARIABLE arrayvar10 AS Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarItem EXTENT 2 NO-UNDO.
		arrayvar10[1] = ultraExplorerBarItem1.
		arrayvar10[2] = ultraExplorerBarItem2.
		ultraExplorerBarGroup1:Items:AddRange(arrayvar10).
		ultraExplorerBarGroup1:Text = "Business".
		ultraExplorerBarItem3:Tag = "Department".
		ultraExplorerBarItem3:Text = "Department".
		@VisualDesigner.FormMember (NeedsInitialize="false", InitializeArray="true").
		DEFINE VARIABLE arrayvar11 AS Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarItem EXTENT 1 NO-UNDO.
		arrayvar11[1] = ultraExplorerBarItem3.
		ultraExplorerBarGroup2:Items:AddRange(arrayvar11).
		ultraExplorerBarGroup2:Text = "Personnel".
		@VisualDesigner.FormMember (NeedsInitialize="false", InitializeArray="true").
		DEFINE VARIABLE arrayvar12 AS Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarGroup EXTENT 2 NO-UNDO.
		arrayvar12[1] = ultraExplorerBarGroup1.
		arrayvar12[2] = ultraExplorerBarGroup2.
		THIS-OBJECT:ultraExplorerBar1:Groups:AddRange(arrayvar12).
		THIS-OBJECT:ultraExplorerBar1:Location = NEW System.Drawing.Point(0, 49).
		THIS-OBJECT:ultraExplorerBar1:Name = "ultraExplorerBar1".
		THIS-OBJECT:ultraExplorerBar1:Size = NEW System.Drawing.Size(175, 382).
		THIS-OBJECT:ultraExplorerBar1:Style = Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarStyle:OutlookNavigationPane.
		THIS-OBJECT:ultraExplorerBar1:TabIndex = 4.
		THIS-OBJECT:ultraExplorerBar1:ItemClick:SUBSCRIBE(THIS-OBJECT:ultraExplorerBar1_ItemClick).
		/*  */
		/* sportsForm */
		/*  */
		THIS-OBJECT:AutoScaleDimensions = NEW System.Drawing.SizeF(6, 13).
		THIS-OBJECT:AutoScaleMode = System.Windows.Forms.AutoScaleMode:Font.
		THIS-OBJECT:ClientSize = NEW System.Drawing.Size(632, 453).
		THIS-OBJECT:Controls:Add(THIS-OBJECT:ultraExplorerBar1).
		THIS-OBJECT:Controls:Add(THIS-OBJECT:statusStrip).
		THIS-OBJECT:Controls:Add(THIS-OBJECT:toolStrip).
		THIS-OBJECT:Controls:Add(THIS-OBJECT:menuStrip).
		THIS-OBJECT:IsMdiContainer = TRUE.
		THIS-OBJECT:MainMenuStrip = THIS-OBJECT:menuStrip.
		THIS-OBJECT:Name = "sportsForm".
		THIS-OBJECT:Text = "Sports 2000".
		THIS-OBJECT:menuStrip:ResumeLayout(FALSE).
		THIS-OBJECT:menuStrip:PerformLayout().
		THIS-OBJECT:toolStrip:ResumeLayout(FALSE).
		THIS-OBJECT:toolStrip:PerformLayout().
		THIS-OBJECT:statusStrip:ResumeLayout(FALSE).
		THIS-OBJECT:statusStrip:PerformLayout().
		CAST(THIS-OBJECT:ultraExplorerBar1, System.ComponentModel.ISupportInitialize):EndInit().
		THIS-OBJECT:ResumeLayout(FALSE).
		THIS-OBJECT:PerformLayout().

	END METHOD.



METHOD PRIVATE VOID setAsChild (INPUT oChildForm AS Progress.Windows.Form, INPUT pcTitle AS CHARACTER):        
      oChildForm:MdiParent = THIS-OBJECT.

      oChildForm:Text = pcTitle. /*+ " [" + string(childFormNumber) + "]".*/
      oChildForm:Show( ).        
END METHOD.

METHOD PROTECTED VOID showCustomerForm (sender AS System.Object, e AS System.EventArgs):
    DEF VAR oCBF AS openedge.tutorial.ui.customerForm.
    
    oCBF = NEW openedge.tutorial.ui.customerForm().
    childFormNumber = childFormNumber + 1.
    setAsChild(oCBF, 'Customer').
END METHOD.    /*showCustomerForm*/

METHOD PROTECTED VOID showDepartmentForm (sender AS System.Object, e AS System.EventArgs):    
        DEF VAR oDT AS openedge.tutorial.ui.departmentForm.
    oDT = NEW openedge.tutorial.ui.departmentForm().
    childFormNumber = childFormNumber + 1.
    setAsChild(oDT, 'Department').
 END METHOD.    /* showDepartmentForm */
    
    
METHOD PROTECTED VOID showPurchOrderForm (sender AS System.Object, e AS System.EventArgs):
        DEF VAR oPO AS openedge.tutorial.ui.purchaseOrderForm.
    
   oPO = NEW openedge.tutorial.ui.purchaseOrderForm().
    childFormNumber = childFormNumber + 1.
    setAsChild(oPO, 'Purchase Order').
    DELETE OBJECT e.
END METHOD.    

METHOD PRIVATE  VOID ultraExplorerBar1_ItemClick (  sender AS System.Object,  e AS Infragistics.Win.UltraWinExplorerBar.ItemEventArgs ):
    DEF VAR cTag AS CHARACTER NO-UNDO.

    cTag = STRING(e:Item:Tag).
    SESSION:SET-WAIT-STATE('general').
    CASE cTag:
        WHEN 'CustMaint' THEN showCustomerForm(sender, e).
        WHEN 'Department' THEN showDepartmentForm(sender, e).
        WHEN 'PurchOrder' THEN showPurchOrderForm(sender, e).
    END CASE.	    	    
    SESSION:SET-WAIT-STATE('').
END METHOD. /* event handler */


	METHOD PUBLIC VOID DoWait ( ):
		
		WAIT-FOR System.Windows.Forms.Application:Run (THIS-OBJECT).

	END METHOD.

	DESTRUCTOR PUBLIC sportsForm( ):
		IF VALID-OBJECT(components) THEN DO:
			CAST(components, System.IDisposable):Dispose().
		END.
         /* close down service */
		DEF VAR oServiceAdapter AS openedge.tutorial.services.serviceAdapter.
		oServiceAdapter =  NEW openedge.tutorial.services.serviceAdapter().
		oServiceAdapter:stopService().
		DELETE OBJECT oServiceAdapter.
	END DESTRUCTOR.

END CLASS.
