/* UserControlForm.cls */

CLASS UserControlForm INHERITS Progress.Windows.Form:

  /* Class private data */
  DEFINE PRIVATE VARIABLE demoControl AS CLASS SampleUserControl NO-UNDO.

  /* Class public members */  
  METHOD PUBLIC VOID DoWait( ):    
    WAIT-FOR System.Windows.Forms.Application:Run( THIS-OBJECT ).    
  END METHOD.

  CONSTRUCTOR UserControlForm( ):    
    InitializeComponents( ).    
  END CONSTRUCTOR.

  METHOD PRIVATE VOID InitializeComponents( ):

    /* Creates base form class and all components */
    demoControl = NEW SampleUserControl( ).
    
    THIS-OBJECT:SuspendLayout( ).
    
    /* Set properties */
    THIS-OBJECT:AutoScaleDimensions = NEW System.Drawing.SizeF(6, 13).
    THIS-OBJECT:ClientSize = NEW System.Drawing.Size(290, 260).
    demoControl:Location = NEW System.Drawing.Point(0, 20).
    
    /* Add controls to form */
    THIS-OBJECT:Controls:Add( demoControl ).
    
    THIS-OBJECT:ResumeLayout( FALSE ).

  END METHOD.

END CLASS.

