&ANALYZE-SUSPEND _VERSION-NUMBER AB_v9r12
&ANALYZE-RESUME
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _XFTR "Check Version Notes Wizard" Procedure _INLINE
/* Actions: af/cod/aftemwizcw.w ? ? ? ? */
/* MIP Update Version Notes Wizard
Check object version notes.
af/cod/aftemwizpw.w
*/
/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _XFTR "Update-Object-Version" Procedure _INLINE
/* Actions: ? ? ? ? af/sup/afverxftrp.p */
/* This has to go above the definitions sections, as that is what it modifies.
   If its not, then the definitions section will have been saved before the
   XFTR code kicks in and changes it */
/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _XFTR "Definition Comments Wizard" Procedure _INLINE
/* Actions: ? af/cod/aftemwizcw.w ? ? ? */
/* Program Definition Comment Block Wizard
Welcome to the Program Definition Comment Block Wizard. Press Next to proceed.
af/cod/aftemwizpw.w
*/
/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _DEFINITIONS Procedure 
/*********************************************************************
* Copyright (C) 2000 by Progress Software Corporation ("PSC"),       *
* 14 Oak Park, Bedford, MA 01730, and other contributors as listed   *
* below.  All Rights Reserved.                                       *
*                                                                    *
* The Initial Developer of the Original Code is PSC.  The Original   *
* Code is Progress IDE code released to open source December 1, 2000.*
*                                                                    *
* The contents of this file are subject to the Possenet Public       *
* License Version 1.0 (the "License"); you may not use this file     *
* except in compliance with the License.  A copy of the License is   *
* available as of the date of this notice at                         *
* http://www.possenet.org/license.html                               *
*                                                                    *
* Software distributed under the License is distributed on an "AS IS"*
* basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. You*
* should refer to the License for the specific language governing    *
* rights and limitations under the License.                          *
*                                                                    *
* Contributors:                                                      *
*                                                                    *
*********************************************************************/
/*---------------------------------------------------------------------------------
  File: customersuper.p

  Description:  Super procedure for customer Viewers

  Purpose:

  Parameters:   <none>

  History:
  --------
  (v:010000)    Task:           0   UserRef:    
                Date:   05/17/2002  Author:     

  Update Notes: Created from Template rytemprocp.p

---------------------------------------------------------------------------------*/
/*                   This .W file was created with the Progress UIB.             */
/*-------------------------------------------------------------------------------*/

/* ***************************  Definitions  ************************** */
/* MIP-GET-OBJECT-VERSION pre-processors
   The following pre-processors are maintained automatically when the object is
   saved. They pull the object and version from Roundtable if possible so that it
   can be displayed in the about window of the container */

&scop object-name       customersuper.p
DEFINE VARIABLE lv_this_object_name AS CHARACTER INITIAL "{&object-name}":U NO-UNDO.
&scop object-version    000000


/* object identifying preprocessor */
&glob   AstraProcedure    yes

{src/adm2/globals.i}
    
  {src\adm2\custom\viscustomprto.i}

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&ANALYZE-SUSPEND _UIB-PREPROCESSOR-BLOCK 

/* ********************  Preprocessor Definitions  ******************** */

&Scoped-define PROCEDURE-TYPE Procedure
&Scoped-define DB-AWARE no



/* _UIB-PREPROCESSOR-BLOCK-END */
&ANALYZE-RESUME



/* *********************** Procedure Settings ************************ */

&ANALYZE-SUSPEND _PROCEDURE-SETTINGS
/* Settings for THIS-PROCEDURE
   Type: Procedure
   Allow: 
   Frames: 0
   Add Fields to: Neither
   Other Settings: CODE-ONLY COMPILE
 */
&ANALYZE-RESUME _END-PROCEDURE-SETTINGS

/* *************************  Create Window  ************************** */

&ANALYZE-SUSPEND _CREATE-WINDOW
/* DESIGN Window definition (used by the UIB) 
  CREATE WINDOW Procedure ASSIGN
         HEIGHT             = 2
         WIDTH              = 51.4.
/* END WINDOW DEFINITION */
                                                                        */
&ANALYZE-RESUME

 


&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _MAIN-BLOCK Procedure 


/* ***************************  Main Block  *************************** */

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


/* **********************  Internal Procedures  *********************** */

&IF DEFINED(EXCLUDE-CreditLimitLeave) = 0 &THEN

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE CreditLimitLeave Procedure 
PROCEDURE CreditLimitLeave :
/*------------------------------------------------------------------------------
  Purpose:     Check the CreditLimit against the balance on LEAVE.
  Parameters:  <none>
------------------------------------------------------------------------------*/
  MESSAGE "CreditLimitLeave in customersuper ".
  
  IF widgetModified('CreditLimit') THEN
  IF DECIMAL(widgetValue('CreditLimit')) - 
     DECIMAL(widgetValue('Balance')) < 5000  
       THEN highlightWidget('Balance', 'Warning').
  ELSE highlightWidget('Balance', 'Reset'). 
 
END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ENDIF

&IF DEFINED(EXCLUDE-initializeObject) = 0 &THEN

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE initializeObject Procedure 
PROCEDURE initializeObject :
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  <none>
  Notes:       
------------------------------------------------------------------------------*/
/* DEFINE VARIABLE cFields AS CHARACTER  NO-UNDO. */
/* DEFINE VARIABLE cHandles AS CHARACTER  NO-UNDO. */
DEFINE VARIABLE iCombo AS INTEGER    NO-UNDO.
DEFINE VARIABLE hCombo AS HANDLE     NO-UNDO.
DEFINE VARIABLE hContainer AS HANDLE     NO-UNDO.
DEFINE VARIABLE hCH1 AS HANDLE     NO-UNDO.
DEFINE VARIABLE hCH2 AS HANDLE     NO-UNDO.

RUN SUPER.

/* DEFINE VARIABLE cFields  AS CHARACTER  NO-UNDO.             */
/* DEFINE VARIABLE cHandles AS CHARACTER  NO-UNDO.             */
/* DEFINE VARIABLE iField   AS INTEGER    NO-UNDO.             */
/* DEFINE VARIABLE hField   AS HANDLE     NO-UNDO.             */
/*                                                             */
/* {get DisplayedFields cFields}.                              */
/* {get FieldHandles    cHandles}.                             */
/* iField = LOOKUP('SalesRep', cFields).                       */
/* IF iField NE 0 THEN                                         */
/* DO:                                                         */
/*     hField = WIDGET-HANDLE(ENTRY(iField, cHandles)).        */
/*     IF CAN-QUERY (hField, "FILE-NAME") THEN                 */
/*         MESSAGE DYNAMIC-FUNCTION('getDataValue' IN hField). */
/*     ELSE MESSAGE hField:SCREEN-VALUE.                       */
/* END.                                                        */
/* {get ContainerSource hContainer}.                                                     */
/* MESSAGE "Container: " DYNAMIC-FUNCTION('getContainerHandle' IN TARGET-PROCEDURE) SKIP */
/*     "Window:" dynamic-function('getContainerhandle' in hContainer).                   */
/* hCH1 = DYNAMIC-FUNCTION('getContainerHandle' IN TARGET-PROCEDURE).                    */
/* hCH2 = DYNAMIC-FUNCTION('getContainerHandle' IN hContainer).                          */
/* MESSAGE hch1:NAME hch2:TYPE.                                                          */

/* MESSAGE                                                                              */
/*     "Object Type: " DYNAMIC-FUNCTION('getObjectType' IN TARGET-PROCEDURE) SKIP       */
/*     "Object Name: " DYNAMIC-FUNCTION('getObjectName' IN TARGET-PROCEDURE) SKIP       */
/*     "Container Type: " DYNAMIC-FUNCTION('getContainerType' IN TARGET-PROCEDURE) SKIP */
/*     "Physical: " DYNAMIC-FUNCTION('getPhysicalObjectName' IN TARGET-PROCEDURE) SKIP  */
/*     "Logical: " DYNAMIC-FUNCTION('getLogicalObjectName' IN TARGET-PROCEDURE) SKIP    */
/*     "Dynamic: " DYNAMIC-FUNCTION('getDynamicObject' IN TARGET-PROCEDURE) SKIP        */
/*     "Enabled: " DYNAMIC-FUNCTION('getObjectEnabled' IN TARGET-PROCEDURE) SKIP        */
/*     "FieldsEnabled: " DYNAMIC-FUNCTION('getFieldsEnabled' IN TARGET-PROCEDURE) SKIP  */
/*     .                                                                                */
/* {get AllFieldNames cFields}.                                                         */
/*     {get ALlFieldHandles cHandles}.                                                  */
/*     iCombo = LOOKUP('frCombo', cFields).                                             */
/*     IF iCombo NE 0 THEN                                                              */
/*     DO:                                                                              */
/*        hCombo = WIDGET-HANDLE(ENTRY(iCombo, cHandles)).                              */
/*         MESSAGE                                                                      */
/*     "Object Type: " DYNAMIC-FUNCTION('getObjectType' IN hCombo) SKIP                 */
/*     "Object Name: " DYNAMIC-FUNCTION('getObjectName' IN hCombo) SKIP                 */
/*     "Container Type: " DYNAMIC-FUNCTION('getContainerType' IN hCombo) SKIP           */
/*     "Physical: " DYNAMIC-FUNCTION('getPhysicalObjectName' IN hCombo) SKIP            */
/*     "Logical: " DYNAMIC-FUNCTION('getLogicalObjectName' IN hCombo) SKIP.             */
/*     END.                                                                             */
/*     {get ContainerSource hContainer}.                                                */
/*                                                                                      */
/*     MESSAGE                                                                          */
/*     "Object Type: " DYNAMIC-FUNCTION('getObjectType' IN hContainer) SKIP             */
/*     "Object Name: " DYNAMIC-FUNCTION('getObjectName' IN hContainer) SKIP             */
/*     "Container Type: " DYNAMIC-FUNCTION('getContainerType' IN hContainer) SKIP       */
/*     "Physical: " DYNAMIC-FUNCTION('getPhysicalObjectName' IN hContainer) SKIP        */
/*     "Logical: " DYNAMIC-FUNCTION('getLogicalObjectName' IN hContainer) SKIP          */
/*         "Dynamic: " DYNAMIC-FUNCTION('getDynamicObject' IN TARGET-PROCEDURE) SKIP    */
/*     "Enabled: " DYNAMIC-FUNCTION('getObjectEnabled' IN TARGET-PROCEDURE) SKIP.       */
END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ENDIF

&IF DEFINED(EXCLUDE-rowDisplay) = 0 &THEN

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE rowDisplay Procedure 
PROCEDURE rowDisplay :
/*------------------------------------------------------------------------------
  Purpose:   Flag the balance field visually if it's too close to the
             Credit Limit.  
  Parameters:  none
  Notes:       
------------------------------------------------------------------------------*/
/*     MESSAGE "displayChecks in customersuper ". */
   IF DECIMAL(widgetValue('CreditLimit')) - 
     DECIMAL(widgetValue('Balance')) < 5000  
/*                THEN highlightWidget('Balance', 'Warning'). */
/*   ELSE highlightWidget('Balance', 'Reset').                */
/*                                                            */
       THEN disableWidget('Balance').
END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ENDIF

