&ANALYZE-SUSPEND _VERSION-NUMBER UIB_v9r12 GUI
&ANALYZE-RESUME
/* Connected Databases 
          sports2000       PROGRESS
*/
&Scoped-define WINDOW-NAME CustWin
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _DEFINITIONS CustWin 
/*------------------------------------------------------------------------

  File: 

  Description: 

  Input Parameters:
      <none>

  Output Parameters:
      <none>

  Author: 

  Created: 

------------------------------------------------------------------------*/
/*          This .W file was created with the Progress AppBuilder.      */
/*----------------------------------------------------------------------*/

/* Create an unnamed pool to store all the widgets created 
     by this procedure. This is a good default which assures
     that this procedure's triggers and internal procedures 
     will execute in this procedure's storage, and that proper
     cleanup will occur on deletion of the procedure. */

CREATE WIDGET-POOL.

/* ***************************  Definitions  ************************** */

/* Parameters Definitions ---                                           */

/* Local Variable Definitions ---                                       */

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&ANALYZE-SUSPEND _UIB-PREPROCESSOR-BLOCK 

/* ********************  Preprocessor Definitions  ******************** */

&Scoped-define PROCEDURE-TYPE Window
&Scoped-define DB-AWARE no

/* Name of first Frame and/or Browse and/or first Query                 */
&Scoped-define FRAME-NAME CustQuery
&Scoped-define BROWSE-NAME OrderBrowse

/* Internal Tables (found by Frame, Query & Browse Queries)             */
&Scoped-define INTERNAL-TABLES Customer Order

/* Definitions for BROWSE OrderBrowse                                   */
&Scoped-define FIELDS-IN-QUERY-OrderBrowse Order.Ordernum Order.OrderDate ~
Order.PromiseDate Order.ShipDate Order.PO 
&Scoped-define ENABLED-FIELDS-IN-QUERY-OrderBrowse 
&Scoped-define QUERY-STRING-OrderBrowse FOR EACH Order OF Customer NO-LOCK INDEXED-REPOSITION
&Scoped-define OPEN-QUERY-OrderBrowse OPEN QUERY OrderBrowse FOR EACH Order OF Customer NO-LOCK INDEXED-REPOSITION.
&Scoped-define TABLES-IN-QUERY-OrderBrowse Order
&Scoped-define FIRST-TABLE-IN-QUERY-OrderBrowse Order


/* Definitions for FRAME CustQuery                                      */
&Scoped-define FIELDS-IN-QUERY-CustQuery Customer.CustNum Customer.Name ~
Customer.Address Customer.Comments Customer.City Customer.State 
&Scoped-define ENABLED-FIELDS-IN-QUERY-CustQuery Customer.Comments 
&Scoped-define ENABLED-TABLES-IN-QUERY-CustQuery Customer
&Scoped-define FIRST-ENABLED-TABLE-IN-QUERY-CustQuery Customer
&Scoped-define OPEN-BROWSERS-IN-QUERY-CustQuery ~
    ~{&OPEN-QUERY-OrderBrowse}
&Scoped-define QUERY-STRING-CustQuery FOR EACH Customer SHARE-LOCK
&Scoped-define OPEN-QUERY-CustQuery OPEN QUERY CustQuery FOR EACH Customer SHARE-LOCK.
&Scoped-define TABLES-IN-QUERY-CustQuery Customer
&Scoped-define FIRST-TABLE-IN-QUERY-CustQuery Customer


/* Standard List Definitions                                            */
&Scoped-Define ENABLED-FIELDS Customer.Comments 
&Scoped-define ENABLED-TABLES Customer
&Scoped-define FIRST-ENABLED-TABLE Customer
&Scoped-Define ENABLED-OBJECTS BtnFirst BtnNext BtnPrev BtnLast iAllowNav ~
OrderBrowse dTotalPrice dTotalExt lShowWarehouse dAvgDisc cWorstWH cBestWH ~
ItemImage RECT-1 
&Scoped-Define DISPLAYED-FIELDS Customer.CustNum Customer.Name ~
Customer.Address Customer.Comments Customer.City Customer.State 
&Scoped-define DISPLAYED-TABLES Customer
&Scoped-define FIRST-DISPLAYED-TABLE Customer
&Scoped-Define DISPLAYED-OBJECTS iAllowNav dTotalPrice dTotalExt ~
lShowWarehouse dAvgDisc iDiscPct cWorstWH cBestWH 

/* Custom List Definitions                                              */
/* List-1,List-2,List-3,List-4,List-5,List-6                            */

/* _UIB-PREPROCESSOR-BLOCK-END */
&ANALYZE-RESUME



/* ***********************  Control Definitions  ********************** */

/* Define the widget handle for the window                              */
DEFINE VAR CustWin AS WIDGET-HANDLE NO-UNDO.

/* Definitions of the field level widgets                               */
DEFINE BUTTON BtnFirst 
     LABEL "First" 
     SIZE 15 BY 1.14.

DEFINE BUTTON BtnLast 
     LABEL "Last" 
     SIZE 15 BY 1.14.

DEFINE BUTTON BtnNext 
     LABEL "Next" 
     SIZE 15 BY 1.14.

DEFINE BUTTON BtnPrev 
     LABEL "Prev" 
     SIZE 15 BY 1.14.

DEFINE VARIABLE cBestWH AS CHARACTER FORMAT "X(256)":U 
     LABEL "This is the best US warehouse for the order" 
     VIEW-AS FILL-IN 
     SIZE 39 BY 1 NO-UNDO.

DEFINE VARIABLE cWorstWH AS CHARACTER FORMAT "X(256)":U 
     LABEL "These warehouses are unable to fill the order" 
     VIEW-AS FILL-IN 
     SIZE 39 BY 1 NO-UNDO.

DEFINE VARIABLE dAvgDisc AS DECIMAL FORMAT "->>,>>9.99":U INITIAL 0 
     LABEL "Average Discount" 
     VIEW-AS FILL-IN 
     SIZE 16 BY 1 NO-UNDO.

DEFINE VARIABLE dTotalExt AS DECIMAL FORMAT "->>,>>9.99":U INITIAL 0 
     LABEL "Total Ext Price" 
     VIEW-AS FILL-IN 
     SIZE 16 BY 1 NO-UNDO.

DEFINE VARIABLE dTotalPrice AS DECIMAL FORMAT "->>,>>9.99":U INITIAL 0 
     LABEL "Order Total" 
     VIEW-AS FILL-IN 
     SIZE 16 BY 1 NO-UNDO.

DEFINE IMAGE ItemImage
     FILENAME "adeicon/blank":U
     STRETCH-TO-FIT RETAIN-SHAPE
     SIZE 35 BY 6.19.

DEFINE VARIABLE iAllowNav AS INTEGER INITIAL 3 
     VIEW-AS RADIO-SET VERTICAL
     RADIO-BUTTONS 
          "No First/Last", 1,
"No Prev", 2,
"Allow All", 3
     SIZE 23 BY 2.38 NO-UNDO.

DEFINE RECTANGLE RECT-1
     EDGE-PIXELS 4 GRAPHIC-EDGE  NO-FILL 
     SIZE 72 BY 1.91.

DEFINE VARIABLE iDiscPct AS INTEGER INITIAL 0 
     VIEW-AS SLIDER MIN-VALUE 0 MAX-VALUE 50 HORIZONTAL 
     TIC-MARKS TOP FREQUENCY 5
     SIZE 31 BY 1.43 NO-UNDO.

DEFINE VARIABLE lShowWarehouse AS LOGICAL INITIAL yes 
     LABEL "Show Warehouse Info" 
     VIEW-AS TOGGLE-BOX
     SIZE 29 BY .81 NO-UNDO.

/* Query definitions                                                    */
&ANALYZE-SUSPEND
DEFINE QUERY OrderBrowse FOR 
      Order SCROLLING.

DEFINE QUERY CustQuery FOR 
      Customer SCROLLING.
&ANALYZE-RESUME

/* Browse definitions                                                   */
DEFINE BROWSE OrderBrowse
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _DISPLAY-FIELDS OrderBrowse CustWin _STRUCTURED
  QUERY OrderBrowse NO-LOCK DISPLAY
      Order.Ordernum FORMAT "zzzzzzzzz9":U
      Order.OrderDate FORMAT "99/99/99":U
      Order.PromiseDate FORMAT "99/99/99":U
      Order.ShipDate FORMAT "99/99/9999":U
      Order.PO FORMAT "x(20)":U
/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME
    WITH NO-ROW-MARKERS SEPARATORS SIZE 65 BY 6.67 ROW-HEIGHT-CHARS .57 EXPANDABLE.


/* ************************  Frame Definitions  *********************** */

DEFINE FRAME CustQuery
     BtnFirst AT ROW 1.48 COL 8
     BtnNext AT ROW 1.48 COL 24.6
     BtnPrev AT ROW 1.48 COL 41.2
     BtnLast AT ROW 1.48 COL 58
     iAllowNav AT ROW 1.48 COL 78 NO-LABEL
     Customer.CustNum AT ROW 3.38 COL 13 COLON-ALIGNED
          VIEW-AS FILL-IN 
          SIZE 9 BY 1
     Customer.Name AT ROW 3.38 COL 37 COLON-ALIGNED
          VIEW-AS FILL-IN 
          SIZE 32 BY 1
     Customer.Address AT ROW 4.57 COL 13 COLON-ALIGNED
          VIEW-AS FILL-IN 
          SIZE 37 BY 1
     Customer.Comments AT ROW 5.05 COL 78 NO-LABEL
          VIEW-AS EDITOR SCROLLBAR-VERTICAL
          SIZE 31 BY 2.14
     Customer.City AT ROW 5.76 COL 13 COLON-ALIGNED
          VIEW-AS FILL-IN 
          SIZE 27 BY 1
     Customer.State AT ROW 5.76 COL 47 COLON-ALIGNED
          VIEW-AS FILL-IN 
          SIZE 22 BY 1
     OrderBrowse AT ROW 7.67 COL 13
     dTotalPrice AT ROW 14.57 COL 13 COLON-ALIGNED
     dTotalExt AT ROW 14.57 COL 44 COLON-ALIGNED
     lShowWarehouse AT ROW 14.57 COL 65
     dAvgDisc AT ROW 16 COL 44 COLON-ALIGNED
     iDiscPct AT ROW 16 COL 64 NO-LABEL
     cWorstWH AT ROW 17.91 COL 44 COLON-ALIGNED
     cBestWH AT ROW 19.33 COL 44 COLON-ALIGNED
     ItemImage AT ROW 7.91 COL 81
     RECT-1 AT ROW 15.76 COL 25
     "Customer comments:" VIEW-AS TEXT
          SIZE 25 BY .62 AT ROW 4.1 COL 78
    WITH 1 DOWN NO-BOX KEEP-TAB-ORDER OVERLAY 
         SIDE-LABELS NO-UNDERLINE THREE-D 
         AT COL 1 ROW 1
         SIZE 119.8 BY 19.62.


/* *********************** Procedure Settings ************************ */

&ANALYZE-SUSPEND _PROCEDURE-SETTINGS
/* Settings for THIS-PROCEDURE
   Type: Window
   Allow: Basic,Browse,DB-Fields,Window,Query
   Other Settings: COMPILE
 */
&ANALYZE-RESUME _END-PROCEDURE-SETTINGS

/* *************************  Create Window  ************************** */

&ANALYZE-SUSPEND _CREATE-WINDOW
IF SESSION:DISPLAY-TYPE = "GUI":U THEN
  CREATE WINDOW CustWin ASSIGN
         HIDDEN             = YES
         TITLE              = "Customers and Orders"
         HEIGHT             = 19.62
         WIDTH              = 119.8
         MAX-HEIGHT         = 19.62
         MAX-WIDTH          = 131.6
         VIRTUAL-HEIGHT     = 19.62
         VIRTUAL-WIDTH      = 131.6
         RESIZE             = yes
         SCROLL-BARS        = no
         STATUS-AREA        = no
         BGCOLOR            = ?
         FGCOLOR            = ?
         KEEP-FRAME-Z-ORDER = yes
         THREE-D            = yes
         MESSAGE-AREA       = no
         SENSITIVE          = yes.
ELSE {&WINDOW-NAME} = CURRENT-WINDOW.
/* END WINDOW DEFINITION                                                */
&ANALYZE-RESUME



/* ***********  Runtime Attributes and AppBuilder Settings  *********** */

&ANALYZE-SUSPEND _RUN-TIME-ATTRIBUTES
/* SETTINGS FOR WINDOW CustWin
  VISIBLE,,RUN-PERSISTENT                                               */
/* SETTINGS FOR FRAME CustQuery
                                                                        */
/* BROWSE-TAB OrderBrowse State CustQuery */
/* SETTINGS FOR FILL-IN Customer.Address IN FRAME CustQuery
   NO-ENABLE                                                            */
ASSIGN 
       cBestWH:READ-ONLY IN FRAME CustQuery        = TRUE.

/* SETTINGS FOR FILL-IN Customer.City IN FRAME CustQuery
   NO-ENABLE                                                            */
ASSIGN 
       Customer.Comments:READ-ONLY IN FRAME CustQuery        = TRUE.

/* SETTINGS FOR FILL-IN Customer.CustNum IN FRAME CustQuery
   NO-ENABLE                                                            */
ASSIGN 
       cWorstWH:READ-ONLY IN FRAME CustQuery        = TRUE.

ASSIGN 
       dAvgDisc:READ-ONLY IN FRAME CustQuery        = TRUE.

ASSIGN 
       dTotalExt:READ-ONLY IN FRAME CustQuery        = TRUE.

ASSIGN 
       dTotalPrice:READ-ONLY IN FRAME CustQuery        = TRUE.

/* SETTINGS FOR SLIDER iDiscPct IN FRAME CustQuery
   NO-ENABLE                                                            */
/* SETTINGS FOR FILL-IN Customer.Name IN FRAME CustQuery
   NO-ENABLE                                                            */
/* SETTINGS FOR FILL-IN Customer.State IN FRAME CustQuery
   NO-ENABLE                                                            */
IF SESSION:DISPLAY-TYPE = "GUI":U AND VALID-HANDLE(CustWin)
THEN CustWin:HIDDEN = no.

/* _RUN-TIME-ATTRIBUTES-END */
&ANALYZE-RESUME


/* Setting information for Queries and Browse Widgets fields            */

&ANALYZE-SUSPEND _QUERY-BLOCK FRAME CustQuery
/* Query rebuild information for FRAME CustQuery
     _TblList          = "sports2000.Customer"
     _Query            is OPENED
*/  /* FRAME CustQuery */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _QUERY-BLOCK BROWSE OrderBrowse
/* Query rebuild information for BROWSE OrderBrowse
     _TblList          = "sports2000.Order OF sports2000.Customer"
     _Options          = "NO-LOCK INDEXED-REPOSITION"
     _FldNameList[1]   = sports2000.Order.Ordernum
     _FldNameList[2]   = sports2000.Order.OrderDate
     _FldNameList[3]   = sports2000.Order.PromiseDate
     _FldNameList[4]   = sports2000.Order.ShipDate
     _FldNameList[5]   = sports2000.Order.PO
     _Query            is OPENED
*/  /* BROWSE OrderBrowse */
&ANALYZE-RESUME

 



/* ************************  Control Triggers  ************************ */

&Scoped-define SELF-NAME CustWin
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CustWin CustWin
ON END-ERROR OF CustWin /* Customers and Orders */
OR ENDKEY OF {&WINDOW-NAME} ANYWHERE DO:
  /* This case occurs when the user presses the "Esc" key.
     In a persistently run window, just ignore this.  If we did not, the
     application would exit. */
  IF THIS-PROCEDURE:PERSISTENT THEN RETURN NO-APPLY.
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL CustWin CustWin
ON WINDOW-CLOSE OF CustWin /* Customers and Orders */
DO:
  /* This event will close the window and terminate the procedure.  */
  APPLY "CLOSE":U TO THIS-PROCEDURE.
  RETURN NO-APPLY.
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME BtnFirst
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL BtnFirst CustWin
ON CHOOSE OF BtnFirst IN FRAME CustQuery /* First */
DO:
  GET FIRST CustQuery.
  IF AVAILABLE Customer THEN 
    DISPLAY  {&DISPLAYED-FIELDS}
      WITH FRAME CustQuery IN WINDOW CustWin.
  {&OPEN-BROWSERS-IN-QUERY-CustQuery}
  APPLY "VALUE-CHANGED" TO OrderBrowse.
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME BtnLast
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL BtnLast CustWin
ON CHOOSE OF BtnLast IN FRAME CustQuery /* Last */
DO:
  GET LAST CustQuery.
  IF AVAILABLE Customer THEN 
    DISPLAY {&DISPLAYED-FIELDS}
      WITH FRAME CustQuery IN WINDOW CustWin.
  {&OPEN-BROWSERS-IN-QUERY-CustQuery}
  APPLY "VALUE-CHANGED" TO OrderBrowse.
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME BtnNext
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL BtnNext CustWin
ON CHOOSE OF BtnNext IN FRAME CustQuery /* Next */
DO:
  GET NEXT CustQuery.
  IF AVAILABLE Customer THEN 
  DO:
    DISPLAY {&DISPLAYED-FIELDS}
        WITH FRAME CustQuery IN WINDOW CustWin.
    {&OPEN-BROWSERS-IN-QUERY-CustQuery}
    APPLY "VALUE-CHANGED" TO OrderBrowse.
  END.
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME BtnPrev
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL BtnPrev CustWin
ON CHOOSE OF BtnPrev IN FRAME CustQuery /* Prev */
DO:
  GET PREV CustQuery.
  IF AVAILABLE Customer THEN DO:
    DISPLAY {&DISPLAYED-FIELDS}
      WITH FRAME CustQuery IN WINDOW CustWin.
    {&OPEN-BROWSERS-IN-QUERY-CustQuery}
    APPLY "VALUE-CHANGED" TO OrderBrowse.
  END.
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME iAllowNav
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL iAllowNav CustWin
ON VALUE-CHANGED OF iAllowNav IN FRAME CustQuery
DO:
  ASSIGN iAllowNav.
  IF iAllowNav = 1 THEN
      ASSIGN BtnFirst:SENSITIVE = NO
             BtnLast:SENSITIVE  = NO.
  ELSE IF iAllowNav = 2 THEN
      ASSIGN BtnPrev:SENSITIVE = NO.
  ELSE ASSIGN BtnFirst:SENSITIVE = YES
              BtnLast:SENSITIVE = YES
              BtnPrev:SENSITIVE = YES.
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define SELF-NAME lShowWarehouse
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL lShowWarehouse CustWin
ON VALUE-CHANGED OF lShowWarehouse IN FRAME CustQuery /* Show Warehouse Info */
DO:
  ASSIGN lShowWarehouse.
  IF lShowWarehouse THEN
      ASSIGN cWorstWH:HIDDEN = NO
             cBestWH:HIDDEN = NO.
  ELSE
      ASSIGN cWorstWH:HIDDEN = YES
             cBestWH:HIDDEN = YES.
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&Scoped-define BROWSE-NAME OrderBrowse
&Scoped-define SELF-NAME OrderBrowse
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CONTROL OrderBrowse CustWin
ON VALUE-CHANGED OF OrderBrowse IN FRAME CustQuery
DO:
  IF AVAILABLE Order THEN
  DO:
      RUN OrderCalcs.p
          (INPUT Order.OrderNum,
           OUTPUT dTotalPrice, OUTPUT dTotalExt,
           OUTPUT cWorstWH, OUTPUT cBestWH).
      ASSIGN dAvgDisc =  (dTotalPrice - dTotalExt) / dTotalPrice
             iDiscPct = dAvgDisc * 100.
      DISPLAY dTotalPrice dTotalExt dAvgDisc iDiscPct cWorstWH cBestWH
          WITH FRAME CustQuery.
    
      FIND FIRST orderline OF order.
      FIND ITEM OF orderline.
      ItemImage:LOAD-IMAGE('src/sports2000/images/cat' + 
                           STRING(ITEM.itemnum, '99999') + '.jpg').
  END.
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&UNDEFINE SELF-NAME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _MAIN-BLOCK CustWin 


/* ***************************  Main Block  *************************** */

/* Set CURRENT-WINDOW: this will parent dialog-boxes and frames.        */
ASSIGN CURRENT-WINDOW                = {&WINDOW-NAME} 
       THIS-PROCEDURE:CURRENT-WINDOW = {&WINDOW-NAME}.

/* The CLOSE event can be used from inside or outside the procedure to  */
/* terminate it.                                                        */
ON CLOSE OF THIS-PROCEDURE 
   RUN disable_UI.

/* Best default for GUI applications is...                              */
PAUSE 0 BEFORE-HIDE.

/* Now enable the interface and wait for the exit condition.            */
/* (NOTE: handle ERROR and END-KEY so cleanup code will always fire.    */
MAIN-BLOCK:
DO ON ERROR   UNDO MAIN-BLOCK, LEAVE MAIN-BLOCK
   ON END-KEY UNDO MAIN-BLOCK, LEAVE MAIN-BLOCK:
  RUN enable_UI.
  APPLY "VALUE-CHANGED" TO OrderBrowse.
  IF NOT THIS-PROCEDURE:PERSISTENT THEN
    WAIT-FOR CLOSE OF THIS-PROCEDURE.
END.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


/* **********************  Internal Procedures  *********************** */

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE disable_UI CustWin  _DEFAULT-DISABLE
PROCEDURE disable_UI :
/*------------------------------------------------------------------------------
  Purpose:     DISABLE the User Interface
  Parameters:  <none>
  Notes:       Here we clean-up the user-interface by deleting
               dynamic widgets we have created and/or hide 
               frames.  This procedure is usually called when
               we are ready to "clean-up" after running.
------------------------------------------------------------------------------*/
  /* Delete the WINDOW we created */
  IF SESSION:DISPLAY-TYPE = "GUI":U AND VALID-HANDLE(CustWin)
  THEN DELETE WIDGET CustWin.
  IF THIS-PROCEDURE:PERSISTENT THEN DELETE PROCEDURE THIS-PROCEDURE.
END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE enable_UI CustWin  _DEFAULT-ENABLE
PROCEDURE enable_UI :
/*------------------------------------------------------------------------------
  Purpose:     ENABLE the User Interface
  Parameters:  <none>
  Notes:       Here we display/view/enable the widgets in the
               user-interface.  In addition, OPEN all queries
               associated with each FRAME and BROWSE.
               These statements here are based on the "Other 
               Settings" section of the widget Property Sheets.
------------------------------------------------------------------------------*/

  {&OPEN-QUERY-CustQuery}
  GET FIRST CustQuery.
  DISPLAY iAllowNav dTotalPrice dTotalExt lShowWarehouse dAvgDisc iDiscPct 
          cWorstWH cBestWH 
      WITH FRAME CustQuery IN WINDOW CustWin.
  IF AVAILABLE Customer THEN 
    DISPLAY Customer.CustNum Customer.Name Customer.Address Customer.Comments 
          Customer.City Customer.State 
      WITH FRAME CustQuery IN WINDOW CustWin.
  ENABLE BtnFirst BtnNext BtnPrev BtnLast iAllowNav Customer.Comments 
         OrderBrowse dTotalPrice dTotalExt lShowWarehouse dAvgDisc cWorstWH 
         cBestWH ItemImage RECT-1 
      WITH FRAME CustQuery IN WINDOW CustWin.
  {&OPEN-BROWSERS-IN-QUERY-CustQuery}
  VIEW CustWin.
END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

