/* h-findCustUser2.p */

FIND Customer 1 EXCLUSIVE-LOCK NO-WAIT NO-ERROR.
IF NOT AVAILABLE Customer THEN
  MESSAGE "That Customer isn't available for update." VIEW-AS ALERT-BOX.
ELSE DO:
  DISPLAY 
    "User 2:" Customer.CustNum FORMAT "ZZZ9" Customer.Name FORMAT "X(12)"
    Customer.CreditLimit Customer.Balance
    WITH FRAME CustFrame.

  ON 'LEAVE':U OF Customer.CreditLimit IN FRAME CustFrame DO:
    ASSIGN Customer.CreditLimit.
  END.

  ENABLE Customer.CreditLimit Customer.Balance WITH FRAME CustFrame.
  WAIT-FOR CLOSE OF THIS-PROCEDURE.
END.
