/* i-join2.p */

DEFINE QUERY q1 FOR Customer FIELDS (Name CreditLimit), Order FIELDS (OrderNum), 
  OrderLine FIELDS (Price Qty), Item FIELDS (ItemName).
DEFINE BROWSE b1 QUERY q1
  DISPLAY Customer.Name Customer.CreditLimit Order.OrderNum Item.ItemName
    WITH 10 DOWN.

OPEN QUERY q1 PRESELECT EACH Customer NO-LOCK,
  EACH Order OUTER-JOIN OF Customer NO-LOCK,
  EACH OrderLine OUTER-JOIN OF Order NO-LOCK
    WHERE (OrderLine.Price * OrderLine.Qty) > (.667 * Customer.CreditLimit),
  EACH Item OUTER-JOIN OF OrderLine NO-LOCK.
    
ENABLE b1 WITH SIZE 68 BY 10.
WAIT-FOR WINDOW-CLOSE OF CURRENT-WINDOW.
