/*  write-json-tt.p
  Writes a JSON object containing Customer data to a file. */

{pi-json-parameterVarDefs.i} /* parameter variable definitions */
{pi-write-json-tt.i}         /* ttCust definition */

DEFINE VARIABLE httCust      AS HANDLE    NO-UNDO.
DEFINE VARIABLE lReturnValue AS LOGICAL   NO-UNDO.
    
httCust = TEMP-TABLE ttCust:HANDLE.

FOR EACH Customer WHERE CustNum < 4:
  CREATE ttCust.
  BUFFER-COPY Customer TO ttCust.
END.

ASSIGN
  cTargetType     = "FILE"
  cFile           = "ttCust.json" 
  lFormatted      = TRUE
  cEncoding       = ?.
   
lReturnValue = httCust:WRITE-JSON(cTargetType, cFile, lFormatted, cEncoding).

