/* r-cuhelp.p */

FORM Customer.CustNum Customer.Name
  WITH FRAME cust-frame 5 DOWN ROW 10 CENTERED
  OVERLAY TITLE " Available Customers ".

REPEAT WHILE FRAME-LINE(cust-frame) <= FRAME-DOWN(cust-frame):
  FIND NEXT Customer NO-LOCK.
  DISPLAY Customer.CustNum Customer.Name WITH FRAME cust-frame.
  DOWN WITH FRAME cust-frame.
END.

UP 5 WITH FRAME cust-frame.

REPEAT:
  CHOOSE ROW Customer.CustNum NO-ERROR WITH FRAME cust-frame.
  FIND Customer NO-LOCK WHERE Customer.CustNum = INPUT Customer.CustNum.
  IF KEYFUNCTION(LASTKEY) = "CURSOR-UP" THEN DO:
    FIND PREV Customer NO-LOCK NO-ERROR.
    IF AVAILABLE Customer THEN DO:
      SCROLL DOWN WITH FRAME cust-frame.
      DISPLAY Customer.CustNum Customer.Name WITH FRAME cust-frame.
    END.
  END.
  ELSE
  IF KEYFUNCTION(LASTKEY) = "CURSOR-DOWN" THEN DO:
    FIND NEXT Customer NO-LOCK NO-ERROR.
    IF AVAILABLE Customer THEN DO:
      SCROLL UP WITH FRAME cust-frame.
      DISPLAY Customer.CustNum Customer.Name
        WITH FRAME cust-frame.
    END.
  END.
  ELSE
  IF KEYFUNCTION(LASTKEY) = "RETURN" THEN DO:
    FRAME-VALUE = FRAME-VALUE.
    HIDE FRAME cust-frame.
    RETURN.
  END.
END.
