/* r-date.p */

DEFINE VARIABLE cnum  AS CHARACTER NO-UNDO FORMAT "x(3)".
DEFINE VARIABLE cdate AS CHARACTER NO-UNDO FORMAT "x(16)".
DEFINE VARIABLE iday  AS INTEGER   NO-UNDO.
DEFINE VARIABLE imon  AS INTEGER   NO-UNDO.
DEFINE VARIABLE iyr   AS INTEGER   NO-UNDO.
DEFINE VARIABLE ddate AS DATE      NO-UNDO.

INPUT FROM VALUE(SEARCH("r-date.dat")).
REPEAT:
  SET cnum cdate.
  ASSIGN
    imon  = INTEGER(SUBSTR(cdate,1,2))
    iday  = INTEGER(SUBSTR(cdate,4,2))
    iyr   = INTEGER(SUBSTR(cdate,7,2))
    /* Works for years within 50 of 2000 */
    iyr   = iyr + (IF (iyr < 50) THEN 2000 ELSE 1900)
    ddate = DATE(imon,iday,iyr).

  DISPLAY ddate.
END.
INPUT CLOSE.

/* 
SEE ALSO: 
  SESSION:YEAR-OFFSET and -yy parm, SESSION:DATE-FORMAT and -d parm
*/
