/* r-defb3.p */

DEFINE NEW SHARED BUFFER rec FOR {1} PRESELECT.

DEFINE VARIABLE flist AS CHARACTER NO-UNDO EXTENT 12.
DEFINE VARIABLE ix    AS INTEGER   NO-UNDO.

/* Look in _File for the table named in the fname variable */
FIND _File "{1}".

/* Store the table's field names in the first array */
FOR EACH _Field OF _File USE-INDEX _Field-Posit:
  IF ix >= 12 THEN LEAVE.
  ix = ix + 1.
  flist[ix] = _Field._Field-Name.
END.

/* Preselect records */
DO PRESELECT EACH rec {2} {3} {4} {5} {6} {7} {8} {9} {10} {11} {12}:
  /* Pass the filenames and all field names to r-defb4.p */
  RUN r-defb4.p "{1}" flist[1] flist[2] flist[3] flist[4] flist[5] flist[6] 
    flist[7] flist[8] flist[9] flist[10] flist[11] flist[12].
END.
