/* r-dffrm1.p */

DEFINE BUTTON b_dtl  LABEL "Detail".
DEFINE BUTTON b_next LABEL "Next".
DEFINE BUTTON b_quit LABEL "Quit" AUTO-ENDKEY.

DEFINE FRAME cust-info 
  Customer.CustNum
  Customer.Name FORMAT "X(20)"
  Customer.Phone
  WITH CENTERED ROW 4.

DEFINE FRAME cust-dtl
  Customer EXCEPT Customer.CustNum Customer.Name Customer.Phone
  WITH CENTERED SIDE-LABELS ROW 9.

DEFINE FRAME butt-frame
  b_dtl b_next b_quit
  WITH ROW 1.
  
ON CHOOSE OF b_dtl
  DISPLAY Customer EXCEPT Customer.CustNum Customer.Name Customer.Phone
    WITH FRAME cust-dtl.

ON CHOOSE OF b_next DO:
  HIDE FRAME cust-dtl.
  FIND NEXT Customer NO-LOCK NO-ERROR.
  IF NOT AVAILABLE Customer THEN
    FIND LAST Customer NO-LOCK.

  DISPLAY Customer.CustNum Customer.Name Customer.Phone
    WITH FRAME cust-info.
END.

ENABLE ALL WITH FRAME butt-frame.
APPLY "CHOOSE" TO b_next IN FRAME butt-frame.
WAIT-FOR CHOOSE OF b_quit.
