/* r-nenter.p */

DEFINE VARIABLE new-max LIKE Customer.CreditLimit NO-UNDO.

FOR EACH Customer:
  DISPLAY Customer.CustNum Customer.Name Customer.CreditLimit 
    LABEL "current max credit"
    WITH FRAME a 1 DOWN ROW 1.
  SET new-max LABEL "new max credit"
    WITH SIDE-LABELS NO-BOX ROW 10 FRAME b.
  IF new-max NOT ENTERED OR new-max = Customer.CreditLimit THEN DO:
    DISPLAY "No Change In credit-limit" WITH FRAME d ROW 15.
    NEXT.
  END.
  DISPLAY "Changing Credit Limit of" Customer.Name SKIP
    "from" Customer.CreditLimit "to" new-max WITH FRAME c ROW 15 NO-LABELS.
  Customer.CreditLimit = new-max.
END.
