/* r-podrvr.p */

DEFINE VARIABLE h             AS HANDLE    NO-UNDO.
DEFINE VARIABLE localPartName AS CHARACTER NO-UNDO.

FUNCTION SetPartName RETURNS INTEGER (INPUT a AS CHARACTER) FORWARD.

/* Add a super procedure */
RUN r-posupr.p PERSISTENT SET h.
THIS-PROCEDURE:ADD-SUPER-PROCEDURE (h).
SetPartName("1998 Calendar").

PROCEDURE sample1:
  DEFINE INPUT-OUTPUT PARAMETER a AS CHARACTER NO-UNDO.

  a = a + "proc: Part name is: ".
  /* Invoke procedure sample1 in the super procedure. */
  RUN SUPER (INPUT-OUTPUT a).
END PROCEDURE.

FUNCTION sample2 RETURNS CHARACTER (INPUT-OUTPUT a AS CHARACTER).
  a = a + "func: Part name is: ".
  /* Invoke function sample2 in the super procedure. */
  SUPER (INPUT-OUTPUT a).
  RETURN a.
END FUNCTION.

FUNCTION GetPartName RETURNS CHARACTER ():
  RETURN localPartName.
END FUNCTION.

FUNCTION SetPartName RETURNS INTEGER (INPUT partname AS CHARACTER):
  localPartName = partname.
END FUNCTION.
