/* r-putscr.p */

DEFINE VARIABLE paid-owed AS DECIMAL   NO-UNDO.
DEFINE VARIABLE bal-label AS CHARACTER NO-UNDO FORMAT "x(20)".

FOR EACH Customer NO-LOCK:
  paid-owed = Customer.Balance.
  IF paid-owed < 0 /* Customer has a credit */ THEN DO:
    paid-owed = - paid-owed.
    bal-label = "Customer Credit".
  END.
  ELSE bal-label = "Unpaid balance".

  DISPLAY Customer.CustNum Customer.Name paid-owed LABEL " " WITH 1 DOWN.
  IF Customer.Balance < 0 THEN
    PUT SCREEN COLOR MESSAGES ROW 2 COLUMN 34 bal-label.
  ELSE 
    PUT SCREEN ROW 2 COLUMN 34 bal-label.
END.
