/* pi-tfx-read-1.p */
/* Provides XML Schema for a new dynamic temp-table. */

{pi-tfx-parameterVarDefs.i}
    
DEFINE VARIABLE returnValue AS LOGICAL NO-UNDO.
DEFINE VARIABLE httCust     AS HANDLE  NO-UNDO.

CREATE TEMP-TABLE httCust.
    
ASSIGN
  cSourceType             = "FILE"
  cFile                   = "ttCust.xsd"
  lOverrideDefaultMapping = ?
  cFieldTypeMapping       = ?
  cVerifySchemaMode       = ?.

DISPLAY "Is dynamic temp-table PREPARED? " httCust:PREPARED SKIP.
DISPLAY "Reading XML Schema..." SKIP.
    
returnValue = httCust:READ-XMLSCHEMA(cSourceType, cFile,
                                     lOverrideDefaultMapping,
                                     cFieldTypeMapping, cVerifySchemaMode).

IF returnValue THEN DO:
  DISPLAY "Is dynamic temp-table now PREPARED? " httCust:PREPARED SKIP.
  DISPLAY "How many columns in dynamic temp-table? "
    httCust:DEFAULT-BUFFER-HANDLE:NUM-FIELDS SKIP.
END.

