/* pi-tfx-write-1.p */
/* Writes an XSD file from a dynamic temp table. */

{pi-tfx-parameterVarDefs.i}

DEFINE VARIABLE returnValue AS LOGICAL NO-UNDO.
DEFINE VARIABLE httCust     AS HANDLE  NO-UNDO.

CREATE TEMP-TABLE httCust.
httCust:CREATE-LIKE("Customer").
httCust:TEMP-TABLE-PREPARE("ttCust").
 
ASSIGN
  cTargetType = "FILE"
  cFile       = "ttCust2.xsd" 
  lFormatted  = TRUE
  cEncoding   = ?
  lMinSchema  = FALSE.

returnValue= httCust:WRITE-XMLSCHEMA(cTargetType, cFile, lFormatted,
                                     cEncoding, lMinSchema).
