/* pi-tfx-write-6b.p */
/* Reads and writes the data to and from a static ProDataSet to an XML file. */

{pi-tfx-parameterVarDefs.i}
{pi-tfx-writeSetup-6.i}

DEFINE VARIABLE returnValue AS LOGICAL NO-UNDO.
DEFINE VARIABLE hPDS        AS HANDLE  NO-UNDO.

hPDS = DATASET dsCustomerOrders:HANDLE.

ASSIGN
  cSourceType             = "FILE"
  cFile                   = "dsCustomerOrders.xml"
  cReadMode               = ?
  cSchemaLocation         = ?
  lOverrideDefaultMapping = FALSE.

returnValue = hPDS:READ-XML
  (cSourceType, cFile, cReadMode, cSchemaLocation, lOverrideDefaultMapping).

IF returnValue = FALSE THEN DO:
  MESSAGE "READ-XML on ProDataSet failed!" VIEW-AS ALERT-BOX. 
  RETURN.
END.
ELSE 
  MESSAGE "Successful READ-XML on : " hPDS:NAME VIEW-AS ALERT-BOX.

/* After the method call, your application does work with its data. */
