/*------------------------------------------------------------------------
    File        : beDepartment
    Purpose     : 
    Syntax      : 
    Description : 
    Author(s)   : 
    Created     : Fri Jul 27 11:20:47 EDT 2007
    Notes       : 
  ----------------------------------------------------------------------*/
using openedge.tutorial.services.*.

CLASS openedge.tutorial.services.BEDepartment inherits BusinessEntity  : 
    
    constructor public BEDepartment():
        def var hDataset as handle no-undo.
        def var hBuffer as handle extent 10 no-undo.
        def var hDataTable as handle extent 10 no-undo.
        def var hDataSource as handle extent 10 no-undo.
        
        hBuffer[1] = BuildBuffer("department").
        hBuffer[2] = BuildBuffer("employee").
        hBuffer[3] = BuildBuffer("family").

    	/* create data tables and prodataset */
        hDataTable[1] = BuildDataTable(hBuffer[1]).
        hDataTable[2] = BuildDataTable(hBuffer[2]).
        hDataTable[3] = BuildDataTable(hBuffer[3]).
              
    	/* create prodataset */
        create dataset hDataset.
        hDataset:name = 'Department'.
        DatasetHandle = hDataset.
        DatasetName = hDataset:name.
        
        /* Top-level table */
        AddTable(DatasetHandle, hDataTable[1], hBuffer[1], '', ?).
        
        /* child tables */        
        AddTable(DatasetHandle, hDataTable[2], hBuffer[2], 'DeptCode,DeptCode', hDataTable[1]).
        AddTable(DatasetHandle, hDataTable[3], hBuffer[3], 'EmpNum,EmpNum', hDataTable[2]).
    end constructor.
        
END CLASS.